/* cpdfAFM.h  -- Adobe 39 PS fonts plus 2 faked fonts character metrics/descriptor info
 * Copyright (C) 1998, 1999 FastIO Systems, All Rights Reserved.
 * For conditions of use, license, and distribution, see LICENSE.pdf.
 *  or http://www.fastio.com/LICENSE.pdf

1999-09-29 [io] charWidth[][] table now contains width accoring to WinAnsiEncoding+extra.
1999-09-25 [io] Added CJK font data

*/
/* ----------------------------------------------------------------------------------------- */
/*   Font names and index into the arrays */
/* ----------------------------------------------------------------------------------------- */
	/* 0  Helvetica */
	/* 1  Helvetica-Bold */
	/* 2  Helvetica-Oblique */
	/* 3  Helvetica-BoldOblique */
	/* 4  Times-Roman */
	/* 5  Times-Bold */
	/* 6  Times-Italic */
	/* 7  Times-BoldItalic */
	/* 8  Courier */
	/* 9  Courier-Bold */
	/* 10 Courier-Oblique */
	/* 11 Courier-BoldOblique */
	/* 12 Symbol */
	/* 13 ZapfDingbats */

	/* 14 AvantGarde-Book */
	/* 15 AvantGarde-BookOblique */
	/* 16 AvantGarde-Demi */
	/* 17 AvantGarde-DemiOblique */
	/* 18 Bookman-Demi */
	/* 19 Bookman-DemiItalic */
	/* 20 Bookman-Light */
	/* 21 Bookman-LightItalic */
	/* 22 Helvetica-Narrow */
	/* 23 Helvetica-Narrow-Oblique */
	/* 24 Helvetica-Narrow-Bold */
	/* 25 Helvetica-Narrow-BoldOblique */
	/* 26 NewCenturySchlbk-Roman */
	/* 27 NewCenturySchlbk-Italic */
	/* 28 NewCenturySchlbk-Bold */
	/* 29 NewCenturySchlbk-BoldItalic */
	/* 30 Palatino-Roman */
	/* 31 Palatino-Italic */
	/* 32 Palatino-Bold */
	/* 33 Palatino-BoldItalic */
	/* 34 ZapfChancery-MediumItalic */
	
	/* 35 Helvetica-Condensed */
	/* 36 Helvetica-Condensed-Bold */
	/* 37 Helvetica-Condensed-Oblique */
	/* 38 Helvetica-Condensed-BoldObl */
	/* 39 CPDF-Monospace */
	/* 40 CPDF-SmallCap */

/* Japanese */
	/* 41 HeiseiKakuGo-W5 (Heisei Kaku Gothic W5) */
	/* 42 HeiseiMin-W3 (Heisei Mincho W3) */
/* Korean */
	/* 43 HYGoThic-Medium (Hanyang Systems GoThic Medium) */
	/* 44 HYSMyeongJo-Medium (Hanyang Systems Shin MyeongJo Medium) */
/* Chinese Traditional */
	/* 45 MHei-Medium (Monotype Hei Medium) */
	/* 46 MSung-Light (Monotype Sung Light) */
/* Chinese Simplified */
	/* 47 STSong-Light (SinoType Song Light) TM: Changzhou SinoType Technology Co., Ltd. */

/* --------------------------------------------------------------------------------------
CPDF-Monospace:	39 -- Helvetica-like fixed-pitch (monospace) font
CPDF-SmallCap:  40 -- Small-Cap font based on Times-Roman metrics
-----------------------------------------------------------------------------------------

DO NOT DO WHAT IS DESCRIBED BELOW, UNLESS YOU KNOW WHAT YOU ARE DOING.

Note1: You may add metrics/descriptor for other Type1 fonts, or your own fake font
       similar to CPDF-Monospace and CPDF-SmallCap by adding entries to each of the
       arrays below.  Be careful with {}'s and commas.
  	In addition:
	[1] Add the font name to cpdf_fontnamelist[] at the end of cpdflib.h
	[2] In cpdfFont.c, change  #define NUMPSFONTS to reflect the actual number of fonts.

Note2: AFM files and font files do not explicitly contain all FontDescriptor information.
       Missing items are are:
  	    Flags (sanserif/serif, fixed-pitch, symbolic, script, all-cap, small-cap etc)
  	    StemV (width of vertical segments of letters)
	You can ask Acrobat Distiller in such cases by having it distill a simple PS
	file like below, with compression turned off, and then examining the PDF file
	it produces.
	    %!PS-Adobe-2.0
	    /Palatino-Roman findfont 16.0 scalefont setfont
	    40 700 moveto (Palatino-Roman 16.0 point) show
	    showpage

Note3: With 14 fonts, these metrics data represent 7kbytes of data.
       With 41 fonts, they occupy ~20kbytes of data.
	We can spare 20kbytes, can't we?  We don't want to be parsing AFM files for every
	CGI hit.

The following data are contained here in this order:
-----------------------------------------------------------------------------------------
short cpdf_encode2WinAnsi[][256];	( encoding conversion table )
short charWidth[][268];			( character width table for WinAnsiEncoding )
short _cpdfAscender[];
short _cpdfCapHeight[];
short _cpdfDescender[];
unsigned long _cpdfFontFlags[];
short _cpdfFontBBox[][4];
float _cpdfItalicAngle[];
short _cpdfStemV[];
short _cpdfXHeight[];

--- for CJK fonts ---------------------------
short _cpdf_missingWidth[];
short _cpdf_stemH[];
short _cpdf_leading[];
short _cpdf_maxWidth[];
short _cpdf_avgWidth[];

char *cpdf_cidFontWidth[];	(for CID font /W array)
char *cpdf_cidSysInfo[];
char *cpdf_fontStyleList[];

-----------------------------------------------------------------------------------------
*/
/* Font Encoding conversion look up table, convert charcode in MacRomanEncoding, MacExpertEncoding,
   and StandardEncoding (NULL) to WinAnsiEncoding in which the char width table is defined here.
   Note that there is no table for WinAnsiEncoding, because look up is not needed for that.
   The values of an entry in this table can be up to 268, so we need a array of shorts.
*/
short cpdf_encode2WinAnsi[][256] = {
/* 0 MacRomanEncoding - OK */
  {
    /*   0 */    0,    1,    2,    3,    4,    5,    6,    7,    8,    9, 
    /*  10 */   10,   11,   12,   13,   14,   15,   16,   17,   18,   19, 
    /*  20 */   20,   21,   22,   23,   24,   25,   26,   27,   28,   29, 
    /*  30 */   30,   31,   32,   33,   34,   35,   36,   37,   38,   39, 
    /*  40 */   40,   41,   42,   43,   44,   45,   46,   47,   48,   49, 
    /*  50 */   50,   51,   52,   53,   54,   55,   56,   57,   58,   59, 
    /*  60 */   60,   61,   62,   63,   64,   65,   66,   67,   68,   69, 
    /*  70 */   70,   71,   72,   73,   74,   75,   76,   77,   78,   79, 
    /*  80 */   80,   81,   82,   83,   84,   85,   86,   87,   88,   89, 
    /*  90 */   90,   91,   92,   93,   94,   95,   96,   97,   98,   99, 
    /* 100 */  100,  101,  102,  103,  104,  105,  106,  107,  108,  109, 
    /* 110 */  110,  111,  112,  113,  114,  115,  116,  117,  118,  119, 
    /* 120 */  120,  121,  122,  123,  124,  125,  126,  127,  196,  197, 
    /* 130 */  199,  201,  209,  214,  220,  225,  224,  226,  228,  227, 
    /* 140 */  229,  231,  233,  232,  234,  235,  237,  236,  238,  239, 
    /* 150 */  241,  243,  242,  244,  246,  245,  250,  249,  251,  252, 
    /* 160 */  134,  268,  162,  163,  167,  127,  182,  223,  174,  169, 
    /* 170 */  153,  180,  168,    0,  198,  216,    0,  177,    0,    0, 
    /* 180 */  165,  181,    0,    0,    0,    0,    0,  170,  186,    0, 
    /* 190 */  230,  248,  191,  161,  172,    0,  131,    0,    0,  171, 
    /* 200 */  187,  133,    0,  192,  195,  213,  140,  156,  150,  151, 
    /* 210 */  147,  148,    0,  146,  247,    0,  255,  159,  263,  164, 
    /* 220 */  139,  155,  261,  262,  135,  183,  130,  132,  137,  194, 
    /* 230 */  202,  193,  203,  200,  205,  206,  207,  204,  211,  212, 
    /* 240 */    0,  210,  218,  219,  217,  260,  136,  152,  175,  257, 
    /* 250 */  259,  176,  184,  264,  267,  258
  },

/* 1 MacExpertEncoding */
/* DO NOT USE MacExpertEncoding -- Look-up table is not implemented yet because of buggy
   data (it seems) of PDF Spec.
   Page 459-460, PDF Spec v1.3 (C.3 MacExpert Encoding description seems extremely buggy)
   Giving up until better data are obtained.
*/

  {
    /*   0 */    0,    1,    2,    3,    4,    5,    6,    7,    8,    9, 
    /*  10 */   10,   11,   12,   13,   14,   15,   16,   17,   18,   19, 
    /*  20 */   20,   21,   22,   23,   24,   25,   26,   27,   28,   29, 
    /*  30 */   30,   31,   32,   33,   34,   35,   36,   37,   38,   39, 
    /*  40 */   40,   41,   42,   43,   44,   45,   46,   47,   48,   49, 
    /*  50 */   50,   51,   52,   53,   54,   55,   56,   57,   58,   59, 
    /*  60 */   60,   61,   62,   63,   64,   65,   66,   67,   68,   69, 
    /*  70 */   70,   71,   72,   73,   74,   75,   76,   77,   78,   79, 
    /*  80 */   80,   81,   82,   83,   84,   85,   86,   87,   88,   89, 
    /*  90 */   90,   91,   92,   93,   94,   95,   96,   97,   98,   99, 
    /* 100 */  100,  101,  102,  103,  104,  105,  106,  107,  108,  109, 
    /* 110 */  110,  111,  112,  113,  114,  115,  116,  117,  118,  119, 
    /* 120 */  120,  121,  122,  123,  124,  125,  126,  127,  128,  129, 
    /* 130 */  130,  131,  132,  133,  134,  135,  136,  137,  138,  139, 
    /* 140 */  140,  141,  142,  143,  144,  145,  146,  147,  148,  149, 
    /* 150 */  150,  151,  152,  153,  154,  155,  156,  157,  158,  159, 
    /* 160 */  160,  161,  162,  163,  164,  165,  166,  167,  168,  169, 
    /* 170 */  170,  171,  172,  173,  174,  175,  176,  177,  178,  179, 
    /* 180 */  180,  181,  182,  183,  184,  185,  186,  187,  188,  189, 
    /* 190 */  190,  191,  192,  193,  194,  195,  196,  197,  198,  199, 
    /* 200 */  200,  201,  202,  203,  204,  205,  206,  207,  208,  209, 
    /* 210 */  210,  211,  212,  213,  214,  215,  216,  217,  218,  219, 
    /* 220 */  220,  221,  222,  223,  224,  225,  226,  227,  228,  229, 
    /* 230 */  230,  231,  232,  233,  234,  235,  236,  237,  238,  239, 
    /* 240 */  240,  241,  242,  243,  244,  245,  246,  247,  248,  249, 
    /* 250 */  250,  251,  252,  253,  254,  255
  },

/* 2 StandardEncoding - OK */
  {
    /*   0 */    0,    1,    2,    3,    4,    5,    6,    7,    8,    9, 
    /*  10 */   10,   11,   12,   13,   14,   15,   16,   17,   18,   19, 
    /*  20 */   20,   21,   22,   23,   24,   25,   26,   27,   28,   29, 
    /*  30 */   30,   31,   32,   33,   34,   35,   36,   37,   38,  146, 
    /*  40 */   40,   41,   42,   43,   44,   45,   46,   47,   48,   49, 
    /*  50 */   50,   51,   52,   53,   54,   55,   56,   57,   58,   59, 
    /*  60 */   60,   61,   62,   63,   64,   65,   66,   67,   68,   69, 
    /*  70 */   70,   71,   72,   73,   74,   75,   76,   77,   78,   79, 
    /*  80 */   80,   81,   82,   83,   84,   85,   86,   87,   88,   89, 
    /*  90 */   90,   91,   92,   93,   94,   95,  145,   97,   98,   99, 
    /* 100 */  100,  101,  102,  103,  104,  105,  106,  107,  108,  109, 
    /* 110 */  110,  111,  112,  113,  114,  115,  116,  117,  118,  119, 
    /* 120 */  120,  121,  122,  123,  124,  125,  126,    0,    0,    0, 
    /* 130 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /* 140 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /* 150 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /* 160 */    0,  161,  162,  163,  263,  165,  131,  167,  164,   39, 
    /* 170 */  147,  171,  139,  155,  261,  262,    0,  150,  134,  135, 
    /* 180 */  183,    0,  182,  127,  130,  132,  148,  187,  133,  137, 
    /* 190 */    0,  191,    0,   96,  180,  136,  152,  175,  257,  259, 
    /* 200 */  168,    0,  176,  184,    0,  264,  267,  258,  151,    0, 
    /* 210 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /* 220 */    0,    0,    0,    0,    0,  198,    0,  170,    0,    0, 
    /* 230 */    0,    0,  256,  216,  140,  186,    0,    0,    0,    0, 
    /* 240 */    0,  230,    0,    0,    0,  260,    0,    0,  265,  248, 
    /* 250 */  156,  223,    0,    0,    0,    0
  },

/* 3 PDFDocEncoding -- Not Used */
  {
    /*   0 */    0,    1,    2,    3,    4,    5,    6,    7,    8,    9, 
    /*  10 */   10,   11,   12,   13,   14,   15,   16,   17,   18,   19, 
    /*  20 */   20,   21,   22,   23,   24,   25,   26,   27,   28,   29, 
    /*  30 */   30,   31,   32,   33,   34,   35,   36,   37,   38,   39, 
    /*  40 */   40,   41,   42,   43,   44,   45,   46,   47,   48,   49, 
    /*  50 */   50,   51,   52,   53,   54,   55,   56,   57,   58,   59, 
    /*  60 */   60,   61,   62,   63,   64,   65,   66,   67,   68,   69, 
    /*  70 */   70,   71,   72,   73,   74,   75,   76,   77,   78,   79, 
    /*  80 */   80,   81,   82,   83,   84,   85,   86,   87,   88,   89, 
    /*  90 */   90,   91,   92,   93,   94,   95,   96,   97,   98,   99, 
    /* 100 */  100,  101,  102,  103,  104,  105,  106,  107,  108,  109, 
    /* 110 */  110,  111,  112,  113,  114,  115,  116,  117,  118,  119, 
    /* 120 */  120,  121,  122,  123,  124,  125,  126,  127,  128,  129, 
    /* 130 */  130,  131,  132,  133,  134,  135,  136,  137,  138,  139, 
    /* 140 */  140,  141,  142,  143,  144,  145,  146,  147,  148,  149, 
    /* 150 */  150,  151,  152,  153,  154,  155,  156,  157,  158,  159, 
    /* 160 */  160,  161,  162,  163,  164,  165,  166,  167,  168,  169, 
    /* 170 */  170,  171,  172,  173,  174,  175,  176,  177,  178,  179, 
    /* 180 */  180,  181,  182,  183,  184,  185,  186,  187,  188,  189, 
    /* 190 */  190,  191,  192,  193,  194,  195,  196,  197,  198,  199, 
    /* 200 */  200,  201,  202,  203,  204,  205,  206,  207,  208,  209, 
    /* 210 */  210,  211,  212,  213,  214,  215,  216,  217,  218,  219, 
    /* 220 */  220,  221,  222,  223,  224,  225,  226,  227,  228,  229, 
    /* 230 */  230,  231,  232,  233,  234,  235,  236,  237,  238,  239, 
    /* 240 */  240,  241,  242,  243,  244,  245,  246,  247,  248,  249, 
    /* 250 */  250,  251,  252,  253,  254,  255
  }
};


/* Character width table for WinAnsiEncoding + 13 extra chars for looking up other encodings.
*/
short charWidth[][269] = {
/* 0 Helvetica */
  {
    /*   0 */  278,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  278,  278,  355,  556,  556,  889,  667,  191, 
    /*  40 */  333,  333,  389,  584,  278,  333,  278,  278,  556,  556, 
    /*  50 */  556,  556,  556,  556,  556,  556,  556,  556,  278,  278, 
    /*  60 */  584,  584,  584,  556, 1015,  667,  667,  722,  722,  667, 
    /*  70 */  611,  778,  722,  278,  500,  667,  556,  833,  722,  778, 
    /*  80 */  667,  778,  722,  667,  611,  722,  667,  944,  667,  667, 
    /*  90 */  611,  278,  278,  278,  469,  556,  333,  556,  556,  500, 
    /* 100 */  556,  556,  278,  556,  556,  222,  222,  500,  222,  833, 
    /* 110 */  556,  556,  556,  556,  333,  500,  278,  556,  500,  722, 
    /* 120 */  500,  500,  500,  334,  260,  334,  584,  350,  558,  350, 
    /* 130 */  222,  556,  333, 1000,  556,  556,  333, 1000,  667,  333, 
    /* 140 */ 1000,  350,  611,  350,  350,  222,  222,  333,  333,  350, 
    /* 150 */  556, 1000,  333, 1000,  500,  333,  944,  350,  500,  667, 
    /* 160 */  278,  333,  556,  556,  556,  556,  260,  556,  333,  737, 
    /* 170 */  370,  556,  584,  333,  737,  333,  333,  584,  333,  333, 
    /* 180 */  333,  556,  537,  278,  333,  333,  365,  556,  834,  834, 
    /* 190 */  834,  611,  667,  667,  667,  667,  667,  667, 1000,  722, 
    /* 200 */  667,  667,  667,  667,  278,  278,  278,  278,  722,  722, 
    /* 210 */  778,  778,  778,  778,  778,  584,  778,  722,  722,  722, 
    /* 220 */  722,  667,  667,  611,  556,  556,  556,  556,  556,  556, 
    /* 230 */  889,  500,  556,  556,  556,  556,  278,  278,  278,  278, 
    /* 240 */  556,  556,  556,  556,  556,  556,  556,  584,  611,  556, 
    /* 250 */  556,  556,  556,  500,  556,  500,  556,  333,  333,  333, 
    /* 260 */  278,  500,  500,  167,  333,  222,  584,  333,  400 
  },

/* 1 Helvetica-Bold */
  {
    /*   0 */  278,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  278,  333,  474,  556,  556,  889,  722,  238, 
    /*  40 */  333,  333,  389,  584,  278,  333,  278,  278,  556,  556, 
    /*  50 */  556,  556,  556,  556,  556,  556,  556,  556,  333,  333, 
    /*  60 */  584,  584,  584,  611,  975,  722,  722,  722,  722,  667, 
    /*  70 */  611,  778,  722,  278,  556,  722,  611,  833,  722,  778, 
    /*  80 */  667,  778,  722,  667,  611,  722,  667,  944,  667,  667, 
    /*  90 */  611,  333,  278,  333,  584,  556,  333,  556,  611,  556, 
    /* 100 */  611,  556,  333,  611,  611,  278,  278,  556,  278,  889, 
    /* 110 */  611,  611,  611,  611,  389,  556,  333,  611,  556,  778, 
    /* 120 */  556,  556,  500,  389,  280,  389,  584,  350,  558,  350, 
    /* 130 */  278,  556,  500, 1000,  556,  556,  333, 1000,  667,  333, 
    /* 140 */ 1000,  350,  611,  350,  350,  278,  278,  500,  500,  350, 
    /* 150 */  556, 1000,  333, 1000,  556,  333,  944,  350,  500,  667, 
    /* 160 */  278,  333,  556,  556,  556,  556,  280,  556,  333,  737, 
    /* 170 */  370,  556,  584,  333,  737,  333,  333,  584,  333,  333, 
    /* 180 */  333,  611,  556,  278,  333,  333,  365,  556,  834,  834, 
    /* 190 */  834,  611,  722,  722,  722,  722,  722,  722, 1000,  722, 
    /* 200 */  667,  667,  667,  667,  278,  278,  278,  278,  722,  722, 
    /* 210 */  778,  778,  778,  778,  778,  584,  778,  722,  722,  722, 
    /* 220 */  722,  667,  667,  611,  556,  556,  556,  556,  556,  556, 
    /* 230 */  889,  556,  556,  556,  556,  556,  278,  278,  278,  278, 
    /* 240 */  611,  611,  611,  611,  611,  611,  611,  584,  611,  611, 
    /* 250 */  611,  611,  611,  556,  611,  556,  611,  333,  333,  333, 
    /* 260 */  278,  611,  611,  167,  333,  278,  584,  333,  400 
  },

/* 2 Helvetica-Oblique */
  {
    /*   0 */  278,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  278,  278,  355,  556,  556,  889,  667,  191, 
    /*  40 */  333,  333,  389,  584,  278,  333,  278,  278,  556,  556, 
    /*  50 */  556,  556,  556,  556,  556,  556,  556,  556,  278,  278, 
    /*  60 */  584,  584,  584,  556, 1015,  667,  667,  722,  722,  667, 
    /*  70 */  611,  778,  722,  278,  500,  667,  556,  833,  722,  778, 
    /*  80 */  667,  778,  722,  667,  611,  722,  667,  944,  667,  667, 
    /*  90 */  611,  278,  278,  278,  469,  556,  333,  556,  556,  500, 
    /* 100 */  556,  556,  278,  556,  556,  222,  222,  500,  222,  833, 
    /* 110 */  556,  556,  556,  556,  333,  500,  278,  556,  500,  722, 
    /* 120 */  500,  500,  500,  334,  260,  334,  584,  350,  558,  350, 
    /* 130 */  222,  556,  333, 1000,  556,  556,  333, 1000,  667,  333, 
    /* 140 */ 1000,  350,  611,  350,  350,  222,  222,  333,  333,  350, 
    /* 150 */  556, 1000,  333, 1000,  500,  333,  944,  350,  500,  667, 
    /* 160 */  278,  333,  556,  556,  556,  556,  260,  556,  333,  737, 
    /* 170 */  370,  556,  584,  333,  737,  333,  333,  584,  333,  333, 
    /* 180 */  333,  556,  537,  278,  333,  333,  365,  556,  834,  834, 
    /* 190 */  834,  611,  667,  667,  667,  667,  667,  667, 1000,  722, 
    /* 200 */  667,  667,  667,  667,  278,  278,  278,  278,  722,  722, 
    /* 210 */  778,  778,  778,  778,  778,  584,  778,  722,  722,  722, 
    /* 220 */  722,  667,  667,  611,  556,  556,  556,  556,  556,  556, 
    /* 230 */  889,  500,  556,  556,  556,  556,  278,  278,  278,  278, 
    /* 240 */  556,  556,  556,  556,  556,  556,  556,  584,  611,  556, 
    /* 250 */  556,  556,  556,  500,  556,  500,  556,  333,  333,  333, 
    /* 260 */  278,  500,  500,  167,  333,  222,  584,  333,  400 
  },

/* 3 Helvetica-BoldOblique */
  {
    /*   0 */  278,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  278,  333,  474,  556,  556,  889,  722,  238, 
    /*  40 */  333,  333,  389,  584,  278,  333,  278,  278,  556,  556, 
    /*  50 */  556,  556,  556,  556,  556,  556,  556,  556,  333,  333, 
    /*  60 */  584,  584,  584,  611,  975,  722,  722,  722,  722,  667, 
    /*  70 */  611,  778,  722,  278,  556,  722,  611,  833,  722,  778, 
    /*  80 */  667,  778,  722,  667,  611,  722,  667,  944,  667,  667, 
    /*  90 */  611,  333,  278,  333,  584,  556,  333,  556,  611,  556, 
    /* 100 */  611,  556,  333,  611,  611,  278,  278,  556,  278,  889, 
    /* 110 */  611,  611,  611,  611,  389,  556,  333,  611,  556,  778, 
    /* 120 */  556,  556,  500,  389,  280,  389,  584,  350,  558,  350, 
    /* 130 */  278,  556,  500, 1000,  556,  556,  333, 1000,  667,  333, 
    /* 140 */ 1000,  350,  611,  350,  350,  278,  278,  500,  500,  350, 
    /* 150 */  556, 1000,  333, 1000,  556,  333,  944,  350,  500,  667, 
    /* 160 */  278,  333,  556,  556,  556,  556,  280,  556,  333,  737, 
    /* 170 */  370,  556,  584,  333,  737,  333,  333,  584,  333,  333, 
    /* 180 */  333,  611,  556,  278,  333,  333,  365,  556,  834,  834, 
    /* 190 */  834,  611,  722,  722,  722,  722,  722,  722, 1000,  722, 
    /* 200 */  667,  667,  667,  667,  278,  278,  278,  278,  722,  722, 
    /* 210 */  778,  778,  778,  778,  778,  584,  778,  722,  722,  722, 
    /* 220 */  722,  667,  667,  611,  556,  556,  556,  556,  556,  556, 
    /* 230 */  889,  556,  556,  556,  556,  556,  278,  278,  278,  278, 
    /* 240 */  611,  611,  611,  611,  611,  611,  611,  584,  611,  611, 
    /* 250 */  611,  611,  611,  556,  611,  556,  611,  333,  333,  333, 
    /* 260 */  278,  611,  611,  167,  333,  278,  584,  333,  400 
  },

/* 4 Times-Roman */
  {
    /*   0 */  250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  250,  333,  408,  500,  500,  833,  778,  180, 
    /*  40 */  333,  333,  500,  564,  250,  333,  250,  278,  500,  500, 
    /*  50 */  500,  500,  500,  500,  500,  500,  500,  500,  278,  278, 
    /*  60 */  564,  564,  564,  444,  921,  722,  667,  667,  722,  611, 
    /*  70 */  556,  722,  722,  333,  389,  722,  611,  889,  722,  722, 
    /*  80 */  556,  722,  667,  556,  611,  722,  722,  944,  722,  722, 
    /*  90 */  611,  333,  278,  333,  469,  500,  333,  444,  500,  444, 
    /* 100 */  500,  444,  333,  500,  500,  278,  278,  500,  278,  778, 
    /* 110 */  500,  500,  500,  500,  333,  389,  278,  500,  500,  722, 
    /* 120 */  500,  500,  444,  480,  200,  480,  541,  350,  500,  350, 
    /* 130 */  333,  500,  444, 1000,  500,  500,  333, 1000,  556,  333, 
    /* 140 */  889,  350,  611,  350,  350,  333,  333,  444,  444,  350, 
    /* 150 */  500, 1000,  333,  980,  389,  333,  722,  350,  444,  722, 
    /* 160 */  250,  333,  500,  500,  500,  500,  200,  500,  333,  760, 
    /* 170 */  276,  500,  564,  333,  760,  333,  333,  564,  300,  300, 
    /* 180 */  333,  500,  453,  250,  333,  300,  310,  500,  750,  750, 
    /* 190 */  750,  444,  722,  722,  722,  722,  722,  722,  889,  667, 
    /* 200 */  611,  611,  611,  611,  333,  333,  333,  333,  722,  722, 
    /* 210 */  722,  722,  722,  722,  722,  564,  722,  722,  722,  722, 
    /* 220 */  722,  722,  556,  500,  444,  444,  444,  444,  444,  444, 
    /* 230 */  667,  444,  444,  444,  444,  444,  278,  278,  278,  278, 
    /* 240 */  500,  500,  500,  500,  500,  500,  500,  564,  500,  500, 
    /* 250 */  500,  500,  500,  500,  500,  500,  611,  333,  333,  333, 
    /* 260 */  278,  556,  556,  167,  333,  278,  564,  333,  400 
  },

/* 5 Times-Bold */
  {
    /*   0 */  250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  250,  333,  555,  500,  500, 1000,  833,  278, 
    /*  40 */  333,  333,  500,  570,  250,  333,  250,  278,  500,  500, 
    /*  50 */  500,  500,  500,  500,  500,  500,  500,  500,  333,  333, 
    /*  60 */  570,  570,  570,  500,  930,  722,  667,  722,  722,  667, 
    /*  70 */  611,  778,  778,  389,  500,  778,  667,  944,  722,  778, 
    /*  80 */  611,  778,  722,  556,  667,  722,  722, 1000,  722,  722, 
    /*  90 */  667,  333,  278,  333,  581,  500,  333,  500,  556,  444, 
    /* 100 */  556,  444,  333,  500,  556,  278,  333,  556,  278,  833, 
    /* 110 */  556,  500,  556,  556,  444,  389,  333,  556,  500,  722, 
    /* 120 */  500,  500,  444,  394,  220,  394,  520,  350,  500,  350, 
    /* 130 */  333,  500,  500, 1000,  500,  500,  333, 1000,  556,  333, 
    /* 140 */ 1000,  350,  667,  350,  350,  333,  333,  500,  500,  350, 
    /* 150 */  500, 1000,  333, 1000,  389,  333,  722,  350,  444,  722, 
    /* 160 */  250,  333,  500,  500,  500,  500,  220,  500,  333,  747, 
    /* 170 */  300,  500,  570,  333,  747,  333,  333,  570,  300,  300, 
    /* 180 */  333,  556,  540,  250,  333,  300,  330,  500,  750,  750, 
    /* 190 */  750,  500,  722,  722,  722,  722,  722,  722, 1000,  722, 
    /* 200 */  667,  667,  667,  667,  389,  389,  389,  389,  722,  722, 
    /* 210 */  778,  778,  778,  778,  778,  570,  778,  722,  722,  722, 
    /* 220 */  722,  722,  611,  556,  500,  500,  500,  500,  500,  500, 
    /* 230 */  722,  444,  444,  444,  444,  444,  278,  278,  278,  278, 
    /* 240 */  500,  556,  500,  500,  500,  500,  500,  570,  500,  556, 
    /* 250 */  556,  556,  556,  500,  556,  500,  667,  333,  333,  333, 
    /* 260 */  278,  556,  556,  167,  333,  278,  570,  333,  400 
  },

/* 6 Times-Italic */
  {
    /*   0 */  250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  250,  333,  420,  500,  500,  833,  778,  214, 
    /*  40 */  333,  333,  500,  675,  250,  333,  250,  278,  500,  500, 
    /*  50 */  500,  500,  500,  500,  500,  500,  500,  500,  333,  333, 
    /*  60 */  675,  675,  675,  500,  920,  611,  611,  667,  722,  611, 
    /*  70 */  611,  722,  722,  333,  444,  667,  556,  833,  667,  722, 
    /*  80 */  611,  722,  611,  500,  556,  722,  611,  833,  611,  556, 
    /*  90 */  556,  389,  278,  389,  422,  500,  333,  500,  500,  444, 
    /* 100 */  500,  444,  278,  500,  500,  278,  278,  444,  278,  722, 
    /* 110 */  500,  500,  500,  500,  389,  389,  278,  500,  444,  667, 
    /* 120 */  444,  444,  389,  400,  275,  400,  541,  350,  500,  350, 
    /* 130 */  333,  500,  556,  889,  500,  500,  333, 1000,  500,  333, 
    /* 140 */  944,  350,  556,  350,  350,  333,  333,  556,  556,  350, 
    /* 150 */  500,  889,  333,  980,  389,  333,  667,  350,  389,  556, 
    /* 160 */  250,  389,  500,  500,  500,  500,  275,  500,  333,  760, 
    /* 170 */  276,  500,  675,  333,  760,  333,  333,  675,  300,  300, 
    /* 180 */  333,  500,  523,  250,  333,  300,  310,  500,  750,  750, 
    /* 190 */  750,  500,  611,  611,  611,  611,  611,  611,  889,  667, 
    /* 200 */  611,  611,  611,  611,  333,  333,  333,  333,  722,  667, 
    /* 210 */  722,  722,  722,  722,  722,  675,  722,  722,  722,  722, 
    /* 220 */  722,  556,  611,  500,  500,  500,  500,  500,  500,  500, 
    /* 230 */  667,  444,  444,  444,  444,  444,  278,  278,  278,  278, 
    /* 240 */  500,  500,  500,  500,  500,  500,  500,  675,  500,  500, 
    /* 250 */  500,  500,  500,  444,  500,  444,  556,  333,  333,  333, 
    /* 260 */  278,  500,  500,  167,  333,  278,  675,  333,  400 
  },

/* 7 Times-BoldItalic */
  {
    /*   0 */  250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  250,  389,  555,  500,  500,  833,  778,  278, 
    /*  40 */  333,  333,  500,  570,  250,  333,  250,  278,  500,  500, 
    /*  50 */  500,  500,  500,  500,  500,  500,  500,  500,  333,  333, 
    /*  60 */  570,  570,  570,  500,  832,  667,  667,  667,  722,  667, 
    /*  70 */  667,  722,  778,  389,  500,  667,  611,  889,  722,  722, 
    /*  80 */  611,  722,  667,  556,  611,  722,  667,  889,  667,  611, 
    /*  90 */  611,  333,  278,  333,  570,  500,  333,  500,  500,  444, 
    /* 100 */  500,  444,  333,  500,  556,  278,  278,  500,  278,  778, 
    /* 110 */  556,  500,  500,  500,  389,  389,  278,  556,  444,  667, 
    /* 120 */  500,  444,  389,  348,  220,  348,  570,  350,  500,  350, 
    /* 130 */  333,  500,  500, 1000,  500,  500,  333, 1000,  556,  333, 
    /* 140 */  944,  350,  611,  350,  350,  333,  333,  500,  500,  350, 
    /* 150 */  500, 1000,  333, 1000,  389,  333,  722,  350,  389,  611, 
    /* 160 */  250,  389,  500,  500,  500,  500,  220,  500,  333,  747, 
    /* 170 */  266,  500,  606,  333,  747,  333,  333,  570,  300,  300, 
    /* 180 */  333,  576,  500,  250,  333,  300,  300,  500,  750,  750, 
    /* 190 */  750,  500,  667,  667,  667,  667,  667,  667,  944,  667, 
    /* 200 */  667,  667,  667,  667,  389,  389,  389,  389,  722,  722, 
    /* 210 */  722,  722,  722,  722,  722,  570,  722,  722,  722,  722, 
    /* 220 */  722,  611,  611,  500,  500,  500,  500,  500,  500,  500, 
    /* 230 */  722,  444,  444,  444,  444,  444,  278,  278,  278,  278, 
    /* 240 */  500,  556,  500,  500,  500,  500,  500,  570,  500,  556, 
    /* 250 */  556,  556,  556,  444,  500,  444,  611,  333,  333,  333, 
    /* 260 */  278,  556,  556,  167,  333,  278,  606,  333,  400 
  },

/* 8 Courier */
  {
    /*   0 */  600,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  40 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  50 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  60 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  70 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  80 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  90 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 100 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 110 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 120 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 130 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 140 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 150 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 160 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 170 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 180 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 190 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 200 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 210 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 220 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 230 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 240 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 250 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 260 */  600,  600,  600,  600,  600,  600,  600,  600,  600 
  },

/* 9 Courier-Bold */
  {
    /*   0 */  600,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  40 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  50 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  60 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  70 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  80 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  90 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 100 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 110 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 120 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 130 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 140 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 150 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 160 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 170 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 180 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 190 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 200 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 210 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 220 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 230 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 240 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 250 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 260 */  600,  600,  600,  600,  600,  600,  600,  600,  600 
  },

/* 10 Courier-Oblique */
  {
    /*   0 */  600,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  40 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  50 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  60 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  70 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  80 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  90 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 100 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 110 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 120 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 130 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 140 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 150 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 160 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 170 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 180 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 190 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 200 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 210 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 220 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 230 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 240 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 250 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 260 */  600,  600,  600,  600,  600,  600,  600,  600,  600 
  },

/* 11 Courier-BoldOblique */
  {
    /*   0 */  600,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  40 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  50 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  60 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  70 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  80 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /*  90 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 100 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 110 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 120 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 130 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 140 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 150 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 160 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 170 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 180 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 190 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 200 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 210 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 220 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 230 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 240 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 250 */  600,  600,  600,  600,  600,  600,  600,  600,  600,  600, 
    /* 260 */  600,  600,  600,  600,  600,  600,  600,  600,  600 
  },


/* 12 Symbol --- This is in StandardEncoding (look-up bypassed) */
  {
     250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
       0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
       0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
       0,    0,  250,  333,  713,  500,  549,  833,  778,  439, 
     333,  333,  500,  549,  250,  549,  250,  278,  500,  500, 
     500,  500,  500,  500,  500,  500,  500,  500,  278,  278, 
     549,  549,  549,  444,  549,  722,  667,  722,  612,  611, 
     763,  603,  722,  333,  631,  722,  686,  889,  722,  722, 
     768,  741,  556,  592,  611,  690,  439,  768,  645,  795, 
     611,  333,  863,  333,  658,  500,  500,  631,  549,  549, 
     494,  439,  521,  411,  603,  329,  603,  549,  549,  576, 
     521,  549,  549,  521,  549,  603,  439,  576,  713,  686, 
     493,  686,  494,  480,  200,  480,  549,    0,    0,    0, 
       0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
       0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
       0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
       0,  620,  247,  549,  167,  713,  500,  753,  753,  753, 
     753, 1042,  987,  603,  987,  603,  400,  549,  411,  549, 
     549,  713,  494,  460,  549,  549,  549,  549, 1000,  603, 
    1000,  658,  823,  686,  795,  987,  768,  768,  823,  768, 
     768,  713,  713,  713,  713,  713,  713,  713,  768,  713, 
     790,  790,  890,  823,  549,  250,  713,  603,  603, 1042, 
     987,  603,  987,  603,  494,  329,  790,  790,  786,  713, 
     384,  384,  384,  384,  384,  384,  494,  494,  494,  494, 
       0,  329,  274,  686,  686,  686,  384,  384,  384,  384, 
     384,  384,  494,  494,  494,    0,    0,    0,    0,    0,
       0,    0,    0,    0,    0,    0,    0,    0,    0

  },

/* 13 ZapfDingbats --- This is in StandardEncoding (look-up bypassed) */
  {
     250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
       0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
       0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
       0,    0,  278,  974,  961,  974,  980,  719,  789,  790, 
     791,  690,  960,  939,  549,  855,  911,  933,  911,  945, 
     974,  755,  846,  762,  761,  571,  677,  763,  760,  759, 
     754,  494,  552,  537,  577,  692,  786,  788,  788,  790, 
     793,  794,  816,  823,  789,  841,  823,  833,  816,  831, 
     923,  744,  723,  749,  790,  792,  695,  776,  768,  792, 
     759,  707,  708,  682,  701,  826,  815,  789,  789,  707, 
     687,  696,  689,  786,  787,  713,  791,  785,  791,  873, 
     761,  762,  762,  759,  759,  892,  892,  788,  784,  438, 
     138,  277,  415,  392,  392,  668,  668,    0,    0,    0, 
       0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
       0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
       0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
       0,  732,  544,  544,  910,  667,  760,  760,  776,  595, 
     694,  626,  788,  788,  788,  788,  788,  788,  788,  788, 
     788,  788,  788,  788,  788,  788,  788,  788,  788,  788, 
     788,  788,  788,  788,  788,  788,  788,  788,  788,  788, 
     788,  788,  788,  788,  788,  788,  788,  788,  788,  788, 
     788,  788,  894,  838, 1016,  458,  748,  924,  748,  918, 
     927,  928,  928,  834,  873,  828,  924,  924,  917,  930, 
     931,  463,  883,  836,  836,  867,  867,  696,  696,  874, 
       0,  874,  760,  946,  771,  865,  771,  888,  967,  888, 
     831,  873,  927,  970,  918,    0,    0,    0,    0,    0, 
       0,    0,    0,    0,    0,    0,    0,    0,    0

#ifndef PS_FONTS39
  }
};
/* If PS_FONTS39 is not defined, char widths for only the Base 14 PS
   Type 1 fonts will be compiled in.
*/
#endif

/* Compile in char width data for additional 25 fonts, beyond the Base 14 fonts */
#ifdef  PS_FONTS39
  },

/* 14 AvantGarde-Book */
  {
    /*   0 */  277,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  277,  295,  309,  554,  554,  775,  757,  198, 
    /*  40 */  369,  369,  425,  606,  277,  332,  277,  437,  554,  554, 
    /*  50 */  554,  554,  554,  554,  554,  554,  554,  554,  277,  277, 
    /*  60 */  606,  606,  606,  591,  867,  740,  574,  813,  744,  536, 
    /*  70 */  485,  872,  683,  226,  482,  591,  462,  919,  740,  869, 
    /*  80 */  592,  871,  607,  498,  426,  655,  702,  960,  609,  592, 
    /*  90 */  480,  351,  605,  351,  606,  500,  378,  683,  682,  647, 
    /* 100 */  685,  650,  314,  673,  610,  200,  203,  502,  200,  938, 
    /* 110 */  610,  655,  682,  682,  301,  388,  339,  608,  554,  831, 
    /* 120 */  480,  536,  425,  351,  672,  351,  606,  606,  558,  606, 
    /* 130 */  354,  554,  502, 1000,  553,  553,  502, 1174,  498,  251, 
    /* 140 */ 1194,  606,  480,  606,  606,  351,  351,  502,  484,  606, 
    /* 150 */  500, 1000,  439, 1000,  388,  251, 1137,  606,  425,  592, 
    /* 160 */  277,  295,  554,  554,  554,  554,  672,  615,  369,  747, 
    /* 170 */  369,  425,  606,  332,  747,  485,  332,  606,  332,  332, 
    /* 180 */  375,  608,  564,  277,  324,  332,  369,  425,  831,  831, 
    /* 190 */  831,  591,  740,  740,  740,  740,  740,  740,  992,  813, 
    /* 200 */  536,  536,  536,  536,  226,  226,  226,  226,  790,  740, 
    /* 210 */  869,  869,  869,  869,  869,  606,  868,  655,  655,  655, 
    /* 220 */  655,  592,  592,  554,  683,  683,  683,  683,  683,  683, 
    /* 230 */ 1157,  647,  650,  650,  650,  650,  200,  200,  200,  200, 
    /* 240 */  655,  610,  655,  655,  655,  655,  655,  606,  653,  608, 
    /* 250 */  608,  608,  608,  536,  682,  536,  517,  453,  502,  222, 
    /* 260 */  200,  487,  485,  166,  552,  300,  606,  302,  400 
  },

/* 15 AvantGarde-BookOblique */
  {
    /*   0 */  277,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  277,  295,  309,  554,  554,  775,  757,  198, 
    /*  40 */  369,  369,  425,  606,  277,  332,  277,  437,  554,  554, 
    /*  50 */  554,  554,  554,  554,  554,  554,  554,  554,  277,  277, 
    /*  60 */  606,  606,  606,  591,  867,  740,  574,  813,  744,  536, 
    /*  70 */  485,  872,  683,  226,  482,  591,  462,  919,  740,  869, 
    /*  80 */  592,  871,  607,  498,  426,  655,  702,  960,  609,  592, 
    /*  90 */  480,  351,  605,  351,  606,  500,  378,  683,  682,  647, 
    /* 100 */  685,  650,  314,  673,  610,  200,  203,  502,  200,  938, 
    /* 110 */  610,  655,  682,  682,  301,  388,  339,  608,  554,  831, 
    /* 120 */  480,  536,  425,  351,  672,  351,  606,  606,  558,  606, 
    /* 130 */  354,  554,  502, 1000,  553,  553,  502, 1174,  498,  251, 
    /* 140 */ 1194,  606,  480,  606,  606,  351,  351,  502,  484,  606, 
    /* 150 */  500, 1000,  439, 1000,  388,  251, 1137,  606,  425,  592, 
    /* 160 */  277,  295,  554,  554,  554,  554,  672,  615,  369,  747, 
    /* 170 */  369,  425,  606,  332,  747,  485,  332,  606,  332,  332, 
    /* 180 */  375,  608,  564,  277,  324,  332,  369,  425,  831,  831, 
    /* 190 */  831,  591,  740,  740,  740,  740,  740,  740,  992,  813, 
    /* 200 */  536,  536,  536,  536,  226,  226,  226,  226,  790,  740, 
    /* 210 */  869,  869,  869,  869,  869,  606,  868,  655,  655,  655, 
    /* 220 */  655,  592,  592,  554,  683,  683,  683,  683,  683,  683, 
    /* 230 */ 1157,  647,  650,  650,  650,  650,  200,  200,  200,  200, 
    /* 240 */  655,  610,  655,  655,  655,  655,  655,  606,  653,  608, 
    /* 250 */  608,  608,  608,  536,  682,  536,  517,  453,  502,  222, 
    /* 260 */  200,  487,  485,  166,  552,  300,  606,  302,  400 
  },

/* 16 AvantGarde-Demi */
  {
    /*   0 */  280,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  280,  280,  360,  560,  560,  860,  680,  220, 
    /*  40 */  380,  380,  440,  600,  280,  420,  280,  460,  560,  560, 
    /*  50 */  560,  560,  560,  560,  560,  560,  560,  560,  280,  280, 
    /*  60 */  600,  600,  600,  560,  740,  740,  580,  780,  700,  520, 
    /*  70 */  480,  840,  680,  280,  480,  620,  440,  900,  740,  840, 
    /*  80 */  560,  840,  580,  520,  420,  640,  700,  900,  680,  620, 
    /*  90 */  500,  320,  640,  320,  600,  500,  420,  660,  660,  640, 
    /* 100 */  660,  640,  280,  660,  600,  240,  260,  580,  240,  940, 
    /* 110 */  600,  640,  660,  660,  320,  440,  300,  600,  560,  800, 
    /* 120 */  560,  580,  460,  340,  600,  340,  600,  600,  558,  600, 
    /* 130 */  280,  560,  480, 1000,  560,  560,  540, 1280,  520,  240, 
    /* 140 */ 1060,  600,  500,  600,  600,  280,  280,  480,  480,  600, 
    /* 150 */  500, 1000,  480, 1000,  440,  240, 1080,  600,  460,  620, 
    /* 160 */  280,  280,  560,  560,  560,  560,  600,  560,  500,  740, 
    /* 170 */  360,  460,  600,  420,  740,  420,  360,  600,  336,  336, 
    /* 180 */  420,  576,  600,  280,  340,  336,  360,  460,  840,  840, 
    /* 190 */  840,  560,  740,  740,  740,  740,  740,  740,  900,  780, 
    /* 200 */  520,  520,  520,  520,  280,  280,  280,  280,  742,  740, 
    /* 210 */  840,  840,  840,  840,  840,  600,  840,  640,  640,  640, 
    /* 220 */  640,  620,  560,  600,  660,  660,  660,  660,  660,  660, 
    /* 230 */ 1080,  640,  640,  640,  640,  640,  240,  240,  240,  240, 
    /* 240 */  640,  600,  640,  640,  640,  640,  640,  600,  660,  600, 
    /* 250 */  600,  600,  600,  580,  660,  580,  480,  480,  540,  280, 
    /* 260 */  240,  520,  520,  160,  700,  320,  600,  340,  400 
  },

/* 17 AvantGarde-DemiOblique */
  {
    /*   0 */  280,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  280,  280,  360,  560,  560,  860,  680,  220, 
    /*  40 */  380,  380,  440,  600,  280,  420,  280,  460,  560,  560, 
    /*  50 */  560,  560,  560,  560,  560,  560,  560,  560,  280,  280, 
    /*  60 */  600,  600,  600,  560,  740,  740,  580,  780,  700,  520, 
    /*  70 */  480,  840,  680,  280,  480,  620,  440,  900,  740,  840, 
    /*  80 */  560,  840,  580,  520,  420,  640,  700,  900,  680,  620, 
    /*  90 */  500,  320,  640,  320,  600,  500,  420,  660,  660,  640, 
    /* 100 */  660,  640,  280,  660,  600,  240,  260,  580,  240,  940, 
    /* 110 */  600,  640,  660,  660,  320,  440,  300,  600,  560,  800, 
    /* 120 */  560,  580,  460,  340,  600,  340,  600,  600,  558,  600, 
    /* 130 */  280,  560,  480, 1000,  560,  560,  540, 1280,  520,  240, 
    /* 140 */ 1060,  600,  500,  600,  600,  280,  280,  480,  480,  600, 
    /* 150 */  500, 1000,  480, 1000,  440,  240, 1080,  600,  460,  620, 
    /* 160 */  280,  280,  560,  560,  560,  560,  600,  560,  500,  740, 
    /* 170 */  360,  460,  600,  420,  740,  420,  360,  600,  336,  336, 
    /* 180 */  420,  576,  600,  280,  340,  336,  360,  460,  840,  840, 
    /* 190 */  840,  560,  740,  740,  740,  740,  740,  740,  900,  780, 
    /* 200 */  520,  520,  520,  520,  280,  280,  280,  280,  742,  740, 
    /* 210 */  840,  840,  840,  840,  840,  600,  840,  640,  640,  640, 
    /* 220 */  640,  620,  560,  600,  660,  660,  660,  660,  660,  660, 
    /* 230 */ 1080,  640,  640,  640,  640,  640,  240,  240,  240,  240, 
    /* 240 */  640,  600,  640,  640,  640,  640,  640,  600,  660,  600, 
    /* 250 */  600,  600,  600,  580,  660,  580,  480,  480,  540,  280, 
    /* 260 */  240,  520,  520,  160,  700,  320,  600,  340,  400 
  },

/* 18 Bookman-Demi */
  {
    /*   0 */  340,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  340,  360,  420,  660,  660,  940,  800,  240, 
    /*  40 */  320,  320,  460,  600,  340,  360,  340,  600,  660,  660, 
    /*  50 */  660,  660,  660,  660,  660,  660,  660,  660,  340,  340, 
    /*  60 */  600,  600,  600,  660,  820,  720,  720,  740,  780,  720, 
    /*  70 */  680,  780,  820,  400,  640,  800,  640,  940,  740,  800, 
    /*  80 */  660,  800,  780,  660,  700,  740,  720,  940,  780,  700, 
    /*  90 */  640,  300,  600,  300,  600,  500,  400,  580,  600,  580, 
    /* 100 */  640,  580,  380,  580,  680,  360,  340,  660,  340, 1000, 
    /* 110 */  680,  620,  640,  620,  460,  520,  460,  660,  600,  800, 
    /* 120 */  600,  620,  560,  320,  600,  320,  600,  460,  558,  460, 
    /* 130 */  320,  660,  540, 1000,  440,  380,  500, 1360,  660,  220, 
    /* 140 */ 1220,  460,  640,  460,  460,  320,  320,  540,  540,  460, 
    /* 150 */  500, 1000,  480,  980,  520,  220,  940,  460,  560,  700, 
    /* 160 */  340,  360,  660,  660,  660,  660,  600,  600,  500,  740, 
    /* 170 */  400,  400,  600,  360,  740,  460,  340,  600,  396,  396, 
    /* 180 */  400,  660,  800,  340,  360,  396,  400,  400,  990,  990, 
    /* 190 */  990,  660,  720,  720,  720,  720,  720,  720, 1140,  740, 
    /* 200 */  720,  720,  720,  720,  400,  400,  400,  400,  780,  740, 
    /* 210 */  800,  800,  800,  800,  800,  600,  800,  740,  740,  740, 
    /* 220 */  740,  700,  660,  660,  580,  580,  580,  580,  580,  580, 
    /* 230 */  880,  580,  580,  580,  580,  580,  360,  360,  360,  360, 
    /* 240 */  620,  680,  620,  620,  620,  620,  620,  600,  620,  660, 
    /* 250 */  660,  660,  660,  620,  640,  620,  640,  500,  500,  320, 
    /* 260 */  360,  740,  740,  120,  440,  340,  600,  320,  400 
  },

/* 19 Bookman-DemiItalic */
  {
    /*   0 */  340,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  340,  320,  380,  680,  680,  880,  980,  180, 
    /*  40 */  260,  260,  460,  600,  340,  280,  340,  360,  680,  680, 
    /*  50 */  680,  680,  680,  680,  680,  680,  680,  680,  340,  340, 
    /*  60 */  620,  600,  620,  620,  780,  720,  720,  700,  760,  720, 
    /*  70 */  660,  760,  800,  380,  620,  780,  640,  860,  740,  760, 
    /*  80 */  640,  760,  740,  700,  700,  740,  660, 1000,  740,  660, 
    /*  90 */  680,  260,  580,  260,  620,  500,  380,  680,  600,  560, 
    /* 100 */  680,  560,  420,  620,  700,  380,  320,  700,  380,  960, 
    /* 110 */  680,  600,  660,  620,  500,  540,  440,  680,  540,  860, 
    /* 120 */  620,  600,  560,  300,  620,  300,  620,  360,  558,  360, 
    /* 130 */  300,  680,  520, 1000,  420,  420,  480, 1360,  700,  220, 
    /* 140 */ 1180,  360,  680,  360,  360,  320,  320,  520,  520,  360, 
    /* 150 */  500, 1000,  480,  940,  540,  220,  920,  360,  560,  660, 
    /* 160 */  340,  320,  680,  680,  680,  680,  620,  620,  520,  780, 
    /* 170 */  440,  380,  620,  280,  780,  480,  360,  600,  408,  408, 
    /* 180 */  340,  680,  680,  340,  360,  408,  440,  380, 1020, 1020, 
    /* 190 */ 1020,  620,  720,  720,  720,  720,  720,  720, 1140,  700, 
    /* 200 */  720,  720,  720,  720,  380,  380,  380,  380,  760,  740, 
    /* 210 */  760,  760,  760,  760,  760,  600,  760,  740,  740,  740, 
    /* 220 */  740,  660,  640,  660,  680,  680,  680,  680,  680,  680, 
    /* 230 */  880,  560,  560,  560,  560,  560,  380,  380,  380,  380, 
    /* 240 */  600,  680,  600,  600,  600,  600,  600,  600,  600,  680, 
    /* 250 */  680,  680,  680,  600,  660,  600,  640,  460,  480,  380, 
    /* 260 */  380,  820,  820,  120,  560,  380,  600,  320,  400 
  },

/* 20 Bookman-Light */
  {
    /*   0 */  320,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  320,  300,  380,  620,  620,  900,  800,  220, 
    /*  40 */  300,  300,  440,  600,  320,  400,  320,  600,  620,  620, 
    /*  50 */  620,  620,  620,  620,  620,  620,  620,  620,  320,  320, 
    /*  60 */  600,  600,  600,  540,  820,  680,  740,  740,  800,  720, 
    /*  70 */  640,  800,  800,  340,  600,  720,  600,  920,  740,  800, 
    /*  80 */  620,  820,  720,  660,  620,  780,  700,  960,  720,  640, 
    /*  90 */  640,  300,  600,  300,  600,  500,  340,  580,  620,  520, 
    /* 100 */  620,  520,  320,  540,  660,  300,  300,  620,  300,  940, 
    /* 110 */  660,  560,  620,  580,  440,  520,  380,  680,  520,  780, 
    /* 120 */  560,  540,  480,  280,  600,  280,  600,  460,  558,  460, 
    /* 130 */  220,  620,  400, 1000,  540,  540,  420, 1280,  660,  240, 
    /* 140 */ 1240,  460,  640,  460,  460,  220,  220,  400,  400,  460, 
    /* 150 */  500, 1000,  440,  980,  520,  240,  900,  460,  480,  640, 
    /* 160 */  320,  300,  620,  620,  620,  620,  600,  520,  420,  740, 
    /* 170 */  420,  360,  600,  400,  740,  440,  320,  600,  372,  372, 
    /* 180 */  340,  680,  600,  320,  320,  372,  420,  360,  930,  930, 
    /* 190 */  930,  540,  680,  680,  680,  680,  680,  680, 1260,  740, 
    /* 200 */  720,  720,  720,  720,  340,  340,  340,  340,  800,  740, 
    /* 210 */  800,  800,  800,  800,  800,  600,  800,  780,  780,  780, 
    /* 220 */  780,  640,  620,  660,  580,  580,  580,  580,  580,  580, 
    /* 230 */  860,  520,  520,  520,  520,  520,  300,  300,  300,  300, 
    /* 240 */  560,  660,  560,  560,  560,  560,  560,  600,  560,  680, 
    /* 250 */  680,  680,  680,  540,  620,  540,  600,  460,  420,  260, 
    /* 260 */  300,  620,  620,  140,  380,  320,  600,  320,  400 
  },

/* 21 Bookman-LightItalic */
  {
    /*   0 */  300,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  300,  320,  360,  620,  620,  800,  820,  200, 
    /*  40 */  280,  280,  440,  600,  300,  320,  300,  600,  620,  620, 
    /*  50 */  620,  620,  620,  620,  620,  620,  620,  620,  300,  300, 
    /*  60 */  600,  600,  600,  540,  780,  700,  720,  720,  740,  680, 
    /*  70 */  620,  760,  800,  320,  560,  720,  580,  860,  720,  760, 
    /*  80 */  600,  780,  700,  640,  600,  720,  680,  960,  700,  660, 
    /*  90 */  580,  260,  600,  260,  600,  500,  340,  620,  600,  480, 
    /* 100 */  640,  540,  340,  560,  620,  280,  280,  600,  280,  880, 
    /* 110 */  620,  540,  600,  560,  400,  540,  340,  620,  540,  880, 
    /* 120 */  540,  600,  520,  360,  600,  380,  600,  460,  558,  460, 
    /* 130 */  320,  620,  480, 1000,  620,  620,  440, 1180,  640,  180, 
    /* 140 */ 1180,  460,  580,  460,  460,  280,  280,  440,  440,  460, 
    /* 150 */  500, 1000,  440,  980,  540,  180,  900,  460,  520,  660, 
    /* 160 */  300,  320,  620,  620,  620,  620,  600,  620,  420,  740, 
    /* 170 */  440,  300,  600,  320,  740,  440,  300,  600,  372,  372, 
    /* 180 */  320,  620,  620,  300,  320,  372,  400,  300,  930,  930, 
    /* 190 */  930,  540,  700,  700,  700,  700,  700,  700, 1220,  720, 
    /* 200 */  680,  680,  680,  680,  320,  320,  320,  320,  740,  720, 
    /* 210 */  760,  760,  760,  760,  760,  600,  760,  720,  720,  720, 
    /* 220 */  720,  660,  600,  620,  620,  620,  620,  620,  620,  620, 
    /* 230 */  880,  480,  540,  540,  540,  540,  280,  280,  280,  280, 
    /* 240 */  540,  620,  540,  540,  540,  540,  540,  600,  540,  620, 
    /* 250 */  620,  620,  620,  600,  600,  600,  580,  440,  440,  260, 
    /* 260 */  280,  640,  660,   20,  340,  340,  600,  260,  400 
  },

/* 22 Helvetica-Narrow */
  {
    /*   0 */  228,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  228,  228,  291,  456,  456,  729,  547,  157, 
    /*  40 */  273,  273,  319,  479,  228,  273,  228,  228,  456,  456, 
    /*  50 */  456,  456,  456,  456,  456,  456,  456,  456,  228,  228, 
    /*  60 */  479,  479,  479,  456,  832,  547,  547,  592,  592,  547, 
    /*  70 */  501,  638,  592,  228,  410,  547,  456,  683,  592,  638, 
    /*  80 */  547,  638,  592,  547,  501,  592,  547,  774,  547,  547, 
    /*  90 */  501,  228,  228,  228,  385,  456,  273,  456,  456,  410, 
    /* 100 */  456,  456,  228,  456,  456,  182,  182,  410,  182,  683, 
    /* 110 */  456,  456,  456,  456,  273,  410,  228,  456,  410,  592, 
    /* 120 */  410,  410,  410,  274,  213,  274,  479,  287,  558,  287, 
    /* 130 */  182,  456,  273,  820,  456,  456,  273,  820,  547,  273, 
    /* 140 */  820,  287,  501,  287,  287,  182,  182,  273,  273,  287, 
    /* 150 */  456,  820,  273,  820,  410,  273,  774,  287,  410,  547, 
    /* 160 */  228,  273,  456,  456,  456,  456,  213,  456,  273,  604, 
    /* 170 */  303,  456,  479,  273,  604,  273,  273,  479,  273,  273, 
    /* 180 */  273,  456,  440,  228,  273,  273,  299,  456,  684,  684, 
    /* 190 */  684,  501,  547,  547,  547,  547,  547,  547,  820,  592, 
    /* 200 */  547,  547,  547,  547,  228,  228,  228,  228,  592,  592, 
    /* 210 */  638,  638,  638,  638,  638,  479,  638,  592,  592,  592, 
    /* 220 */  592,  547,  547,  501,  456,  456,  456,  456,  456,  456, 
    /* 230 */  729,  410,  456,  456,  456,  456,  228,  228,  228,  228, 
    /* 240 */  456,  456,  456,  456,  456,  456,  456,  479,  501,  456, 
    /* 250 */  456,  456,  456,  410,  456,  410,  456,  273,  273,  273, 
    /* 260 */  228,  410,  410,  137,  273,  182,  479,  273,  328 
  },

/* 23 Helvetica-Narrow-Oblique */
  {
    /*   0 */  228,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  228,  228,  291,  456,  456,  729,  547,  157, 
    /*  40 */  273,  273,  319,  479,  228,  273,  228,  228,  456,  456, 
    /*  50 */  456,  456,  456,  456,  456,  456,  456,  456,  228,  228, 
    /*  60 */  479,  479,  479,  456,  832,  547,  547,  592,  592,  547, 
    /*  70 */  501,  638,  592,  228,  410,  547,  456,  683,  592,  638, 
    /*  80 */  547,  638,  592,  547,  501,  592,  547,  774,  547,  547, 
    /*  90 */  501,  228,  228,  228,  385,  456,  273,  456,  456,  410, 
    /* 100 */  456,  456,  228,  456,  456,  182,  182,  410,  182,  683, 
    /* 110 */  456,  456,  456,  456,  273,  410,  228,  456,  410,  592, 
    /* 120 */  410,  410,  410,  274,  213,  274,  479,  287,  558,  287, 
    /* 130 */  182,  456,  273,  820,  456,  456,  273,  820,  547,  273, 
    /* 140 */  820,  287,  501,  287,  287,  182,  182,  273,  273,  287, 
    /* 150 */  456,  820,  273,  820,  410,  273,  774,  287,  410,  547, 
    /* 160 */  228,  273,  456,  456,  456,  456,  213,  456,  273,  604, 
    /* 170 */  303,  456,  479,  273,  604,  273,  273,  479,  273,  273, 
    /* 180 */  273,  456,  440,  228,  273,  273,  299,  456,  684,  684, 
    /* 190 */  684,  501,  547,  547,  547,  547,  547,  547,  820,  592, 
    /* 200 */  547,  547,  547,  547,  228,  228,  228,  228,  592,  592, 
    /* 210 */  638,  638,  638,  638,  638,  479,  638,  592,  592,  592, 
    /* 220 */  592,  547,  547,  501,  456,  456,  456,  456,  456,  456, 
    /* 230 */  729,  410,  456,  456,  456,  456,  228,  228,  228,  228, 
    /* 240 */  456,  456,  456,  456,  456,  456,  456,  479,  501,  456, 
    /* 250 */  456,  456,  456,  410,  456,  410,  456,  273,  273,  273, 
    /* 260 */  228,  410,  410,  137,  273,  182,  479,  273,  328 
  },

/* 24 Helvetica-Narrow-Bold */
  {
    /*   0 */  228,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  228,  273,  389,  456,  456,  729,  592,  195, 
    /*  40 */  273,  273,  319,  479,  228,  273,  228,  228,  456,  456, 
    /*  50 */  456,  456,  456,  456,  456,  456,  456,  456,  273,  273, 
    /*  60 */  479,  479,  479,  501,  800,  592,  592,  592,  592,  547, 
    /*  70 */  501,  638,  592,  228,  456,  592,  501,  683,  592,  638, 
    /*  80 */  547,  638,  592,  547,  501,  592,  547,  774,  547,  547, 
    /*  90 */  501,  273,  228,  273,  479,  456,  273,  456,  501,  456, 
    /* 100 */  501,  456,  273,  501,  501,  228,  228,  456,  228,  729, 
    /* 110 */  501,  501,  501,  501,  319,  456,  273,  501,  456,  638, 
    /* 120 */  456,  456,  410,  319,  230,  319,  479,  287,  558,  287, 
    /* 130 */  228,  456,  410,  820,  456,  456,  273,  820,  547,  273, 
    /* 140 */  820,  287,  501,  287,  287,  228,  228,  410,  410,  287, 
    /* 150 */  456,  820,  273,  820,  456,  273,  774,  287,  410,  547, 
    /* 160 */  228,  273,  456,  456,  456,  456,  230,  456,  273,  604, 
    /* 170 */  303,  456,  479,  273,  604,  273,  273,  479,  273,  273, 
    /* 180 */  273,  501,  456,  228,  273,  273,  299,  456,  684,  684, 
    /* 190 */  684,  501,  592,  592,  592,  592,  592,  592,  820,  592, 
    /* 200 */  547,  547,  547,  547,  228,  228,  228,  228,  592,  592, 
    /* 210 */  638,  638,  638,  638,  638,  479,  638,  592,  592,  592, 
    /* 220 */  592,  547,  547,  501,  456,  456,  456,  456,  456,  456, 
    /* 230 */  729,  456,  456,  456,  456,  456,  228,  228,  228,  228, 
    /* 240 */  501,  501,  501,  501,  501,  501,  501,  479,  501,  501, 
    /* 250 */  501,  501,  501,  456,  501,  456,  501,  273,  273,  273, 
    /* 260 */  228,  501,  501,  137,  273,  228,  479,  273,  328 
  },

/* 25 Helvetica-Narrow-BoldOblique */
  {
    /*   0 */  228,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  228,  273,  389,  456,  456,  729,  592,  195, 
    /*  40 */  273,  273,  319,  479,  228,  273,  228,  228,  456,  456, 
    /*  50 */  456,  456,  456,  456,  456,  456,  456,  456,  273,  273, 
    /*  60 */  479,  479,  479,  501,  800,  592,  592,  592,  592,  547, 
    /*  70 */  501,  638,  592,  228,  456,  592,  501,  683,  592,  638, 
    /*  80 */  547,  638,  592,  547,  501,  592,  547,  774,  547,  547, 
    /*  90 */  501,  273,  228,  273,  479,  456,  273,  456,  501,  456, 
    /* 100 */  501,  456,  273,  501,  501,  228,  228,  456,  228,  729, 
    /* 110 */  501,  501,  501,  501,  319,  456,  273,  501,  456,  638, 
    /* 120 */  456,  456,  410,  319,  230,  319,  479,  287,  558,  287, 
    /* 130 */  228,  456,  410,  820,  456,  456,  273,  820,  547,  273, 
    /* 140 */  820,  287,  501,  287,  287,  228,  228,  410,  410,  287, 
    /* 150 */  456,  820,  273,  820,  456,  273,  774,  287,  410,  547, 
    /* 160 */  228,  273,  456,  456,  456,  456,  230,  456,  273,  604, 
    /* 170 */  303,  456,  479,  273,  604,  273,  273,  479,  273,  273, 
    /* 180 */  273,  501,  456,  228,  273,  273,  299,  456,  684,  684, 
    /* 190 */  684,  501,  592,  592,  592,  592,  592,  592,  820,  592, 
    /* 200 */  547,  547,  547,  547,  228,  228,  228,  228,  592,  592, 
    /* 210 */  638,  638,  638,  638,  638,  479,  638,  592,  592,  592, 
    /* 220 */  592,  547,  547,  501,  456,  456,  456,  456,  456,  456, 
    /* 230 */  729,  456,  456,  456,  456,  456,  228,  228,  228,  228, 
    /* 240 */  501,  501,  501,  501,  501,  501,  501,  479,  501,  501, 
    /* 250 */  501,  501,  501,  456,  501,  456,  501,  273,  273,  273, 
    /* 260 */  228,  501,  501,  137,  273,  228,  479,  273,  328 
  },

/* 26 NewCenturySchlbk-Roman */
  {
    /*   0 */  278,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  278,  296,  389,  556,  556,  833,  815,  204, 
    /*  40 */  333,  333,  500,  606,  278,  333,  278,  278,  556,  556, 
    /*  50 */  556,  556,  556,  556,  556,  556,  556,  556,  278,  278, 
    /*  60 */  606,  606,  606,  444,  737,  722,  722,  722,  778,  722, 
    /*  70 */  667,  778,  833,  407,  556,  778,  667,  944,  815,  778, 
    /*  80 */  667,  778,  722,  630,  667,  815,  722,  981,  704,  704, 
    /*  90 */  611,  333,  606,  333,  606,  500,  333,  556,  556,  444, 
    /* 100 */  574,  500,  333,  537,  611,  315,  296,  593,  315,  889, 
    /* 110 */  611,  500,  574,  556,  444,  463,  389,  611,  537,  778, 
    /* 120 */  537,  537,  481,  333,  606,  333,  606,  606,  558,  606, 
    /* 130 */  204,  556,  389, 1000,  500,  500,  333, 1000,  630,  259, 
    /* 140 */ 1000,  606,  611,  606,  606,  204,  204,  389,  389,  606, 
    /* 150 */  556, 1000,  333, 1000,  463,  259,  833,  606,  481,  704, 
    /* 160 */  278,  296,  556,  556,  556,  556,  606,  500,  333,  737, 
    /* 170 */  334,  426,  606,  333,  737,  333,  333,  606,  333,  333, 
    /* 180 */  333,  611,  606,  278,  333,  333,  300,  426,  834,  834, 
    /* 190 */  834,  444,  722,  722,  722,  722,  722,  722, 1000,  722, 
    /* 200 */  722,  722,  722,  722,  407,  407,  407,  407,  778,  815, 
    /* 210 */  778,  778,  778,  778,  778,  606,  778,  815,  815,  815, 
    /* 220 */  815,  704,  667,  574,  556,  556,  556,  556,  556,  556, 
    /* 230 */  796,  444,  500,  500,  500,  500,  315,  315,  315,  315, 
    /* 240 */  500,  611,  500,  500,  500,  500,  500,  606,  500,  611, 
    /* 250 */  611,  611,  611,  537,  574,  537,  667,  333,  333,  333, 
    /* 260 */  315,  611,  611,  167,  333,  315,  606,  333,  400 
  },

/* 27 NewCenturySchlbk-Italic */
  {
    /*   0 */  278,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  278,  333,  400,  556,  556,  833,  852,  278, 
    /*  40 */  333,  333,  500,  606,  278,  333,  278,  606,  556,  556, 
    /*  50 */  556,  556,  556,  556,  556,  556,  556,  556,  278,  278, 
    /*  60 */  606,  606,  606,  444,  747,  704,  722,  722,  778,  722, 
    /*  70 */  667,  778,  833,  407,  611,  741,  667,  944,  815,  778, 
    /*  80 */  667,  778,  741,  667,  685,  815,  704,  926,  704,  685, 
    /*  90 */  667,  333,  606,  333,  606,  500,  333,  574,  556,  444, 
    /* 100 */  611,  444,  333,  537,  611,  333,  315,  556,  333,  889, 
    /* 110 */  611,  500,  574,  556,  444,  444,  352,  611,  519,  778, 
    /* 120 */  500,  500,  463,  333,  606,  333,  606,  606,  558,  606, 
    /* 130 */  204,  556,  389, 1000,  500,  500,  333, 1000,  667,  333, 
    /* 140 */  981,  606,  667,  606,  606,  204,  204,  389,  389,  606, 
    /* 150 */  500, 1000,  333,  950,  444,  333,  778,  606,  463,  685, 
    /* 160 */  278,  333,  556,  556,  556,  556,  606,  500,  333,  747, 
    /* 170 */  422,  426,  606,  333,  747,  333,  333,  606,  333,  333, 
    /* 180 */  333,  611,  650,  278,  333,  333,  372,  426,  834,  834, 
    /* 190 */  834,  444,  704,  704,  704,  704,  704,  704,  870,  722, 
    /* 200 */  722,  722,  722,  722,  407,  407,  407,  407,  778,  815, 
    /* 210 */  778,  778,  778,  778,  778,  606,  778,  815,  815,  815, 
    /* 220 */  815,  685,  667,  556,  574,  574,  574,  574,  574,  574, 
    /* 230 */  722,  444,  444,  444,  444,  444,  333,  333,  333,  333, 
    /* 240 */  500,  611,  500,  500,  500,  500,  500,  606,  500,  611, 
    /* 250 */  611,  611,  611,  500,  574,  500,  667,  333,  333,  333, 
    /* 260 */  333,  611,  611,  167,  333,  333,  606,  333,  400 
  },

/* 28 NewCenturySchlbk-Bold */
  {
    /*   0 */  287,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  287,  296,  333,  574,  574,  833,  852,  241, 
    /*  40 */  389,  389,  500,  606,  278,  333,  278,  278,  574,  574, 
    /*  50 */  574,  574,  574,  574,  574,  574,  574,  574,  278,  278, 
    /*  60 */  606,  606,  606,  500,  747,  759,  778,  778,  833,  759, 
    /*  70 */  722,  833,  870,  444,  648,  815,  722,  981,  833,  833, 
    /*  80 */  759,  833,  815,  667,  722,  833,  759,  981,  722,  722, 
    /*  90 */  667,  389,  606,  389,  606,  500,  333,  611,  648,  556, 
    /* 100 */  667,  574,  389,  611,  685,  370,  352,  667,  352,  963, 
    /* 110 */  685,  611,  667,  648,  519,  500,  426,  685,  611,  889, 
    /* 120 */  611,  611,  537,  389,  606,  389,  606,  606,  558,  606, 
    /* 130 */  241,  574,  481, 1000,  500,  500,  333, 1000,  667,  333, 
    /* 140 */ 1000,  606,  667,  606,  606,  241,  241,  481,  481,  606, 
    /* 150 */  500, 1000,  333, 1000,  500,  333,  907,  606,  537,  722, 
    /* 160 */  287,  296,  574,  574,  574,  574,  606,  500,  333,  747, 
    /* 170 */  367,  500,  606,  333,  747,  333,  333,  606,  344,  344, 
    /* 180 */  333,  685,  747,  278,  333,  344,  367,  500,  861,  861, 
    /* 190 */  861,  500,  759,  759,  759,  759,  759,  759,  981,  778, 
    /* 200 */  759,  759,  759,  759,  444,  444,  444,  444,  833,  833, 
    /* 210 */  833,  833,  833,  833,  833,  606,  833,  833,  833,  833, 
    /* 220 */  833,  722,  759,  611,  611,  611,  611,  611,  611,  611, 
    /* 230 */  870,  556,  574,  574,  574,  574,  370,  370,  370,  370, 
    /* 240 */  611,  685,  611,  611,  611,  611,  611,  606,  611,  685, 
    /* 250 */  685,  685,  685,  611,  667,  611,  722,  333,  333,  333, 
    /* 260 */  370,  685,  685,  167,  333,  352,  606,  333,  400 
  },

/* 29 NewCenturySchlbk-BoldItalic */
  {
    /*   0 */  287,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  287,  333,  400,  574,  574,  889,  889,  287, 
    /*  40 */  407,  407,  500,  606,  287,  333,  287,  278,  574,  574, 
    /*  50 */  574,  574,  574,  574,  574,  574,  574,  574,  287,  287, 
    /*  60 */  606,  606,  606,  481,  747,  741,  759,  759,  833,  741, 
    /*  70 */  704,  815,  870,  444,  667,  778,  704,  944,  852,  833, 
    /*  80 */  741,  833,  796,  685,  722,  833,  741,  944,  741,  704, 
    /*  90 */  704,  407,  606,  407,  606,  500,  333,  667,  611,  537, 
    /* 100 */  667,  519,  389,  611,  685,  389,  370,  648,  389,  944, 
    /* 110 */  685,  574,  648,  630,  519,  481,  407,  685,  556,  833, 
    /* 120 */  574,  519,  519,  407,  606,  407,  606,  606,  558,  606, 
    /* 130 */  259,  574,  481, 1000,  500,  500,  333, 1167,  685,  278, 
    /* 140 */  963,  606,  704,  606,  606,  259,  259,  481,  481,  606, 
    /* 150 */  500, 1000,  333,  950,  481,  278,  852,  606,  519,  704, 
    /* 160 */  287,  333,  574,  574,  574,  574,  606,  500,  333,  747, 
    /* 170 */  412,  481,  606,  333,  747,  333,  333,  606,  344,  344, 
    /* 180 */  333,  685,  650,  287,  333,  344,  356,  481,  861,  861, 
    /* 190 */  861,  481,  741,  741,  741,  741,  741,  741,  889,  759, 
    /* 200 */  741,  741,  741,  741,  444,  444,  444,  444,  833,  852, 
    /* 210 */  833,  833,  833,  833,  833,  606,  833,  833,  833,  833, 
    /* 220 */  833,  704,  741,  574,  667,  667,  667,  667,  667,  667, 
    /* 230 */  815,  537,  519,  519,  519,  519,  389,  389,  389,  389, 
    /* 240 */  574,  685,  574,  574,  574,  574,  574,  606,  574,  685, 
    /* 250 */  685,  685,  685,  519,  648,  519,  704,  333,  333,  333, 
    /* 260 */  389,  685,  685,  167,  333,  389,  606,  333,  400 
  },

/* 30 Palatino-Roman */
  {
    /*   0 */  250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  250,  278,  371,  500,  500,  840,  778,  208, 
    /*  40 */  333,  333,  389,  606,  250,  333,  250,  606,  500,  500, 
    /*  50 */  500,  500,  500,  500,  500,  500,  500,  500,  250,  250, 
    /*  60 */  606,  606,  606,  444,  747,  778,  611,  709,  774,  611, 
    /*  70 */  556,  763,  832,  337,  333,  726,  611,  946,  831,  786, 
    /*  80 */  604,  786,  668,  525,  613,  778,  722, 1000,  667,  667, 
    /*  90 */  667,  333,  606,  333,  606,  500,  333,  500,  553,  444, 
    /* 100 */  611,  479,  333,  556,  582,  291,  234,  556,  291,  883, 
    /* 110 */  582,  546,  601,  560,  395,  424,  326,  603,  565,  834, 
    /* 120 */  516,  556,  500,  333,  606,  333,  606,  606,  558,  606, 
    /* 130 */  278,  500,  500, 1000,  500,  500,  333, 1144,  525,  331, 
    /* 140 */  998,  606,  667,  606,  606,  278,  278,  500,  500,  606, 
    /* 150 */  500, 1000,  333,  979,  424,  331,  827,  606,  500,  667, 
    /* 160 */  250,  278,  500,  500,  500,  500,  606,  500,  333,  747, 
    /* 170 */  333,  500,  606,  333,  747,  333,  333,  606,  300,  300, 
    /* 180 */  333,  603,  628,  250,  333,  300,  333,  500,  750,  750, 
    /* 190 */  750,  444,  778,  778,  778,  778,  778,  778,  944,  709, 
    /* 200 */  611,  611,  611,  611,  337,  337,  337,  337,  774,  831, 
    /* 210 */  786,  786,  786,  786,  786,  606,  833,  778,  778,  778, 
    /* 220 */  778,  667,  604,  556,  500,  500,  500,  500,  500,  500, 
    /* 230 */  758,  444,  479,  479,  479,  479,  287,  287,  287,  287, 
    /* 240 */  546,  582,  546,  546,  546,  546,  546,  606,  556,  603, 
    /* 250 */  603,  603,  603,  556,  601,  556,  611,  333,  333,  250, 
    /* 260 */  287,  605,  608,  167,  380,  291,  606,  313,  400 
  },

/* 31 Palatino-Italic */
  {
    /*   0 */  250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  250,  333,  500,  500,  500,  889,  778,  333, 
    /*  40 */  333,  333,  389,  606,  250,  333,  250,  296,  500,  500, 
    /*  50 */  500,  500,  500,  500,  500,  500,  500,  500,  250,  250, 
    /*  60 */  606,  606,  606,  500,  747,  722,  611,  667,  778,  611, 
    /*  70 */  556,  722,  778,  333,  333,  667,  556,  944,  778,  778, 
    /*  80 */  611,  778,  667,  556,  611,  778,  722,  944,  722,  667, 
    /*  90 */  667,  333,  606,  333,  606,  500,  333,  444,  463,  407, 
    /* 100 */  500,  389,  278,  500,  500,  278,  278,  444,  278,  778, 
    /* 110 */  556,  444,  500,  463,  389,  389,  333,  556,  500,  722, 
    /* 120 */  500,  500,  444,  333,  606,  333,  606,  500,  558,  500, 
    /* 130 */  278,  500,  500, 1000,  500,  500,  333, 1000,  556,  333, 
    /* 140 */ 1028,  500,  667,  500,  500,  278,  278,  500,  500,  500, 
    /* 150 */  500, 1000,  333, 1000,  389,  333,  669,  500,  444,  667, 
    /* 160 */  250,  333,  500,  500,  500,  500,  606,  500,  333,  747, 
    /* 170 */  333,  500,  606,  333,  747,  333,  333,  606,  300,  300, 
    /* 180 */  333,  556,  500,  250,  333,  300,  333,  500,  750,  750, 
    /* 190 */  750,  500,  722,  722,  722,  722,  722,  722,  941,  667, 
    /* 200 */  611,  611,  611,  611,  333,  333,  333,  333,  778,  778, 
    /* 210 */  778,  778,  778,  778,  778,  606,  778,  778,  778,  778, 
    /* 220 */  778,  667,  611,  500,  444,  444,  444,  444,  444,  444, 
    /* 230 */  638,  407,  389,  389,  389,  389,  278,  278,  278,  278, 
    /* 240 */  444,  556,  444,  444,  444,  444,  444,  606,  444,  556, 
    /* 250 */  556,  556,  556,  500,  500,  500,  556,  333,  333,  333, 
    /* 260 */  278,  528,  545,  167,  333,  278,  606,  333,  400 
  },

/* 32 Palatino-Bold */
  {
    /*   0 */  250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  250,  278,  402,  500,  500,  889,  833,  227, 
    /*  40 */  333,  333,  444,  606,  250,  333,  250,  296,  500,  500, 
    /*  50 */  500,  500,  500,  500,  500,  500,  500,  500,  250,  250, 
    /*  60 */  606,  606,  606,  444,  747,  778,  667,  722,  833,  611, 
    /*  70 */  556,  833,  833,  389,  389,  778,  611, 1000,  833,  833, 
    /*  80 */  611,  833,  722,  611,  667,  778,  778, 1000,  667,  667, 
    /*  90 */  667,  333,  606,  333,  606,  500,  333,  500,  611,  444, 
    /* 100 */  611,  500,  389,  556,  611,  333,  333,  611,  333,  889, 
    /* 110 */  611,  556,  611,  611,  389,  444,  333,  611,  556,  833, 
    /* 120 */  500,  556,  500,  310,  606,  310,  606,  606,  558,  606, 
    /* 130 */  333,  500,  500, 1000,  500,  500,  333, 1000,  611,  389, 
    /* 140 */ 1000,  606,  667,  606,  606,  278,  278,  500,  500,  606, 
    /* 150 */  500, 1000,  333,  998,  444,  389,  833,  606,  500,  667, 
    /* 160 */  250,  278,  500,  500,  500,  500,  606,  500,  333,  747, 
    /* 170 */  438,  500,  606,  333,  747,  333,  333,  606,  300,  300, 
    /* 180 */  333,  611,  641,  250,  333,  300,  488,  500,  750,  750, 
    /* 190 */  750,  444,  778,  778,  778,  778,  778,  778, 1000,  722, 
    /* 200 */  611,  611,  611,  611,  389,  389,  389,  389,  833,  833, 
    /* 210 */  833,  833,  833,  833,  833,  606,  833,  778,  778,  778, 
    /* 220 */  778,  667,  611,  611,  500,  500,  500,  500,  500,  500, 
    /* 230 */  778,  444,  500,  500,  500,  500,  333,  333,  333,  333, 
    /* 240 */  556,  611,  556,  556,  556,  556,  556,  606,  556,  611, 
    /* 250 */  611,  611,  611,  556,  611,  556,  611,  333,  333,  333, 
    /* 260 */  333,  611,  611,  167,  333,  333,  606,  333,  400 
  },

/* 33 Palatino-BoldItalic */
  {
    /*   0 */  250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  250,  333,  500,  500,  500,  889,  833,  250, 
    /*  40 */  333,  333,  444,  606,  250,  389,  250,  315,  500,  500, 
    /*  50 */  500,  500,  500,  500,  500,  500,  500,  500,  250,  250, 
    /*  60 */  606,  606,  606,  444,  833,  722,  667,  685,  778,  611, 
    /*  70 */  556,  778,  778,  389,  389,  722,  611,  944,  778,  833, 
    /*  80 */  667,  833,  722,  556,  611,  778,  667, 1000,  722,  611, 
    /*  90 */  667,  333,  606,  333,  606,  500,  333,  556,  537,  444, 
    /* 100 */  556,  444,  333,  500,  556,  333,  333,  556,  333,  833, 
    /* 110 */  556,  556,  556,  537,  389,  444,  389,  556,  556,  833, 
    /* 120 */  500,  556,  500,  333,  606,  333,  606,  606,  558,  606, 
    /* 130 */  250,  500,  500, 1000,  556,  556,  333, 1000,  556,  333, 
    /* 140 */  944,  606,  667,  606,  606,  278,  278,  500,  500,  606, 
    /* 150 */  500, 1000,  333, 1000,  444,  333,  778,  606,  500,  611, 
    /* 160 */  250,  333,  500,  500,  500,  500,  606,  556,  333,  747, 
    /* 170 */  333,  500,  606,  389,  747,  333,  556,  606,  300,  300, 
    /* 180 */  333,  556,  556,  250,  333,  300,  333,  500,  750,  750, 
    /* 190 */  750,  444,  722,  722,  722,  722,  722,  722,  944,  685, 
    /* 200 */  611,  611,  611,  611,  389,  389,  389,  389,  778,  778, 
    /* 210 */  833,  833,  833,  833,  833,  606,  833,  778,  778,  778, 
    /* 220 */  778,  611,  667,  556,  556,  556,  556,  556,  556,  556, 
    /* 230 */  738,  444,  444,  444,  444,  444,  333,  333,  333,  333, 
    /* 240 */  556,  556,  556,  556,  556,  556,  556,  606,  556,  556, 
    /* 250 */  556,  556,  556,  556,  556,  556,  611,  333,  333,  333, 
    /* 260 */  333,  611,  611,  167,  333,  333,  606,  333,  400 
  },

/* 34 ZapfChancery-MediumItalic */
  {
    /*   0 */  220,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  220,  280,  220,  440,  440,  680,  780,  160, 
    /*  40 */  260,  220,  420,  520,  220,  280,  220,  340,  440,  440, 
    /*  50 */  440,  440,  440,  440,  440,  440,  440,  440,  260,  240, 
    /*  60 */  520,  520,  520,  380,  700,  620,  600,  520,  700,  620, 
    /*  70 */  580,  620,  680,  380,  400,  660,  580,  840,  700,  600, 
    /*  80 */  540,  600,  600,  460,  500,  740,  640,  880,  560,  560, 
    /*  90 */  620,  240,  480,  320,  520,  500,  220,  420,  420,  340, 
    /* 100 */  440,  340,  320,  400,  440,  240,  220,  440,  240,  620, 
    /* 110 */  460,  400,  440,  400,  300,  320,  320,  460,  440,  680, 
    /* 120 */  420,  400,  440,  240,  520,  240,  520,  600,  558,  600, 
    /* 130 */  180,  440,  280, 1000,  460,  480,  340,  960,  460,  240, 
    /* 140 */  820,  600,  620,  600,  600,  240,  240,  340,  360,  600, 
    /* 150 */  500, 1000,  440, 1000,  320,  260,  560,  600,  440,  560, 
    /* 160 */  220,  280,  440,  440,  440,  440,  520,  420,  360,  740, 
    /* 170 */  260,  340,  520,  280,  740,  440,  300,  520,  264,  264, 
    /* 180 */  300,  460,  500,  220,  300,  264,  260,  380,  660,  660, 
    /* 190 */  660,  400,  620,  620,  620,  620,  620,  620,  740,  520, 
    /* 200 */  620,  620,  620,  620,  380,  380,  380,  380,  700,  700, 
    /* 210 */  600,  600,  600,  600,  600,  520,  660,  740,  740,  740, 
    /* 220 */  740,  560,  540,  420,  420,  420,  420,  420,  420,  420, 
    /* 230 */  540,  340,  340,  340,  340,  340,  240,  240,  240,  240, 
    /* 240 */  400,  460,  400,  400,  400,  400,  400,  520,  440,  460, 
    /* 250 */  460,  460,  460,  400,  440,  400,  580,  440,  340,  220, 
    /* 260 */  240,  520,  520,   60,  400,  300,  520,  280,  400 
  },

/* 35 Helvetica-Condensed */
  {
    /*   0 */  250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  250,  333,  250,  500,  500,  833,  667,  250, 
    /*  40 */  333,  333,  500,  500,  250,  333,  250,  278,  500,  500, 
    /*  50 */  500,  500,  500,  500,  500,  500,  500,  500,  250,  250, 
    /*  60 */  500,  500,  500,  500,  800,  556,  556,  556,  611,  500, 
    /*  70 */  444,  611,  611,  278,  444,  556,  500,  778,  611,  611, 
    /*  80 */  556,  611,  611,  556,  500,  611,  556,  833,  556,  556, 
    /*  90 */  500,  333,  250,  333,  500,  500,  333,  444,  500,  444, 
    /* 100 */  500,  444,  278,  500,  500,  222,  222,  444,  222,  778, 
    /* 110 */  500,  500,  500,  500,  333,  444,  278,  500,  444,  667, 
    /* 120 */  444,  444,  389,  274,  250,  274,  500,  333,  558,  333, 
    /* 130 */  222,  500,  389, 1000,  500,  500,  333, 1111,  556,  278, 
    /* 140 */  833,  333,  500,  333,  333,  222,  222,  389,  389,  333, 
    /* 150 */  500, 1000,  333,  750,  444,  278,  722,  333,  389,  556, 
    /* 160 */  250,  333,  500,  500,  500,  500,  250,  500,  333,  800, 
    /* 170 */  300,  500,  500,  333,  800,  333,  250,  500,  300,  300, 
    /* 180 */  333,  500,  440,  250,  333,  300,  300,  500,  750,  750, 
    /* 190 */  750,  500,  556,  556,  556,  556,  556,  556,  833,  556, 
    /* 200 */  500,  500,  500,  500,  278,  278,  278,  278,  611,  611, 
    /* 210 */  611,  611,  611,  611,  611,  500,  611,  611,  611,  611, 
    /* 220 */  611,  556,  556,  500,  444,  444,  444,  444,  444,  444, 
    /* 230 */  667,  444,  444,  444,  444,  444,  222,  222,  222,  222, 
    /* 240 */  500,  500,  500,  500,  500,  500,  500,  500,  500,  500, 
    /* 250 */  500,  500,  500,  444,  500,  444,  500,  333,  333,  250, 
    /* 260 */  222,  500,  500,  167,  333,  222,  500,  333,  400 
  },

/* 36 Helvetica-Condensed-Bold */
  {
    /*   0 */  250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  250,  333,  333,  500,  500,  833,  667,  250, 
    /*  40 */  333,  333,  500,  500,  333,  333,  333,  278,  500,  500, 
    /*  50 */  500,  500,  500,  500,  500,  500,  500,  500,  278,  278, 
    /*  60 */  500,  500,  500,  500,  833,  556,  556,  556,  611,  500, 
    /*  70 */  500,  611,  611,  278,  444,  556,  500,  778,  611,  611, 
    /*  80 */  556,  611,  611,  556,  500,  611,  556,  833,  556,  556, 
    /*  90 */  500,  333,  250,  333,  500,  500,  333,  500,  500,  444, 
    /* 100 */  500,  500,  278,  500,  500,  278,  278,  444,  278,  778, 
    /* 110 */  500,  500,  500,  500,  333,  444,  278,  500,  444,  667, 
    /* 120 */  444,  444,  389,  274,  250,  274,  500,  420,  558,  420, 
    /* 130 */  278,  500,  500, 1000,  500,  500,  333, 1111,  556,  278, 
    /* 140 */  833,  420,  500,  420,  420,  278,  278,  500,  500,  420, 
    /* 150 */  500, 1000,  333,  860,  444,  278,  722,  420,  389,  556, 
    /* 160 */  250,  333,  500,  500,  500,  500,  250,  500,  333,  830, 
    /* 170 */  300,  500,  500,  333,  830,  333,  333,  500,  300,  300, 
    /* 180 */  333,  500,  550,  333,  333,  300,  300,  500,  750,  750, 
    /* 190 */  750,  500,  556,  556,  556,  556,  556,  556,  778,  556, 
    /* 200 */  500,  500,  500,  500,  278,  278,  278,  278,  611,  611, 
    /* 210 */  611,  611,  611,  611,  611,  500,  611,  611,  611,  611, 
    /* 220 */  611,  556,  556,  500,  500,  500,  500,  500,  500,  500, 
    /* 230 */  722,  444,  500,  500,  500,  500,  278,  278,  278,  278, 
    /* 240 */  500,  500,  500,  500,  500,  500,  500,  500,  500,  500, 
    /* 250 */  500,  500,  500,  444,  500,  444,  500,  333,  333,  333, 
    /* 260 */  278,  500,  500,  167,  333,  278,  500,  333,  400 
  },

/* 37 Helvetica-Condensed-Oblique */
  {
    /*   0 */  250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  250,  333,  250,  500,  500,  833,  667,  250, 
    /*  40 */  333,  333,  500,  500,  250,  333,  250,  278,  500,  500, 
    /*  50 */  500,  500,  500,  500,  500,  500,  500,  500,  250,  250, 
    /*  60 */  500,  500,  500,  500,  800,  556,  556,  556,  611,  500, 
    /*  70 */  444,  611,  611,  278,  444,  556,  500,  778,  611,  611, 
    /*  80 */  556,  611,  611,  556,  500,  611,  556,  833,  556,  556, 
    /*  90 */  500,  333,  250,  333,  500,  500,  333,  444,  500,  444, 
    /* 100 */  500,  444,  278,  500,  500,  222,  222,  444,  222,  778, 
    /* 110 */  500,  500,  500,  500,  333,  444,  278,  500,  444,  667, 
    /* 120 */  444,  444,  389,  274,  250,  274,  500,  333,  558,  333, 
    /* 130 */  222,  500,  389, 1000,  500,  500,  333, 1111,  556,  278, 
    /* 140 */  833,  333,  500,  333,  333,  222,  222,  389,  389,  333, 
    /* 150 */  500, 1000,  333,  750,  444,  278,  722,  333,  389,  556, 
    /* 160 */  250,  333,  500,  500,  500,  500,  250,  500,  333,  800, 
    /* 170 */  300,  500,  500,  333,  800,  333,  250,  500,  300,  300, 
    /* 180 */  333,  500,  440,  250,  333,  300,  300,  500,  750,  750, 
    /* 190 */  750,  500,  556,  556,  556,  556,  556,  556,  833,  556, 
    /* 200 */  500,  500,  500,  500,  278,  278,  278,  278,  611,  611, 
    /* 210 */  611,  611,  611,  611,  611,  500,  611,  611,  611,  611, 
    /* 220 */  611,  556,  556,  500,  444,  444,  444,  444,  444,  444, 
    /* 230 */  667,  444,  444,  444,  444,  444,  222,  222,  222,  222, 
    /* 240 */  500,  500,  500,  500,  500,  500,  500,  500,  500,  500, 
    /* 250 */  500,  500,  500,  444,  500,  444,  500,  333,  333,  250, 
    /* 260 */  222,  500,  500,  167,  333,  222,  500,  333,  400 
  },

/* 38 Helvetica-Condensed-BoldObl */
  {
    /*   0 */  250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  250,  333,  333,  500,  500,  833,  667,  250, 
    /*  40 */  333,  333,  500,  500,  333,  333,  333,  278,  500,  500, 
    /*  50 */  500,  500,  500,  500,  500,  500,  500,  500,  278,  278, 
    /*  60 */  500,  500,  500,  500,  833,  556,  556,  556,  611,  500, 
    /*  70 */  500,  611,  611,  278,  444,  556,  500,  778,  611,  611, 
    /*  80 */  556,  611,  611,  556,  500,  611,  556,  833,  556,  556, 
    /*  90 */  500,  333,  250,  333,  500,  500,  333,  500,  500,  444, 
    /* 100 */  500,  500,  278,  500,  500,  278,  278,  444,  278,  778, 
    /* 110 */  500,  500,  500,  500,  333,  444,  278,  500,  444,  667, 
    /* 120 */  444,  444,  389,  274,  250,  274,  500,  420,  558,  420, 
    /* 130 */  278,  500,  500, 1000,  500,  500,  333, 1111,  556,  278, 
    /* 140 */  833,  420,  500,  420,  420,  278,  278,  500,  500,  420, 
    /* 150 */  500, 1000,  333,  860,  444,  278,  722,  420,  389,  556, 
    /* 160 */  250,  333,  500,  500,  500,  500,  250,  500,  333,  830, 
    /* 170 */  300,  500,  500,  333,  830,  333,  333,  500,  300,  300, 
    /* 180 */  333,  500,  550,  333,  333,  300,  300,  500,  750,  750, 
    /* 190 */  750,  500,  556,  556,  556,  556,  556,  556,  778,  556, 
    /* 200 */  500,  500,  500,  500,  278,  278,  278,  278,  611,  611, 
    /* 210 */  611,  611,  611,  611,  611,  500,  611,  611,  611,  611, 
    /* 220 */  611,  556,  556,  500,  500,  500,  500,  500,  500,  500, 
    /* 230 */  722,  444,  500,  500,  500,  500,  278,  278,  278,  278, 
    /* 240 */  500,  500,  500,  500,  500,  500,  500,  500,  500,  500, 
    /* 250 */  500,  500,  500,  444,  500,  444,  500,  333,  333,  333, 
    /* 260 */  278,  500,  500,  167,  333,  278,  500,  333,  400 
  },



/* 39 CPDF-Monospace  -- Helvetica-like fixed-pitch (monospace) font.
   A fake font just for fun.
*/
  {
    /*   0 */  400,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  400,  400,  400,  400,  400,  400,  400,  400, 
    /*  40 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /*  50 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /*  60 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /*  70 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /*  80 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /*  90 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 100 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 110 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 120 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 130 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 140 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 150 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 160 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 170 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 180 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 190 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 200 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 210 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 220 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 230 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 240 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 250 */  400,  400,  400,  400,  400,  400,  400,  400,  400,  400, 
    /* 260 */  400,  400,  400,  400,  400,  400,  400,  400,  400 
  },

/* 40  CPDF-SmallCap  -- Small Cap font derived from Times-Roman metrics (0.7254) */
  {
    /*   0 */  250,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  10 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  20 */    0,    0,    0,    0,    0,    0,    0,    0,    0,    0, 
    /*  30 */    0,    0,  250,  333,  408,  500,  500,  833,  778,  333,    /* 30 */
    /*  40 */  333,  333,  500,  564,  250,  333,  250,  278,  500,  500,    /* 40 */
    /*  50 */  500,  500,  500,  500,  500,  500,  500,  500,  278,  278,    /* 50 */
    /*  60 */  564,  564,  564,  444,  921,  722,  667,  667,  722,  611,    /* 60 */
    /*  70 */  556,  722,  722,  333,  389,  722,  611,  889,  722,  722,    /* 70 */
    /*  80 */  556,  722,  667,  556,  611,  722,  722,  944,  722,  722,    /* 80 */
    /*  90 */  611,  333,  278,  333,  469,  500,  333,  524,  484,  484,    /* 90  */
    /* 100 */  524,  443,  403,  524,  524,  241,  282,  524,  443,  645,    /* 100 d */
    /* 110 */  524,  524,  403,  524,  484,  403,  443,  524,  524,  684,    /* 110 n */
    /* 120 */  524,  524,  443,  480,  200,  480,  541,  350,  500,  350,    /* 120 x */
    /* 130 */  333,  500,  444, 1000,  500,  500,  333, 1000,  556,  333, 
    /* 140 */  889,  350,  611,  350,  350,  333,  333,  444,  444,  350, 
    /* 150 */  500, 1000,  333,  980,  389,  333,  722,  350,  444,  722, 
    /* 160 */  250,  333,  500,  500,  500,  500,  200,  500,  333,  760, 
    /* 170 */  276,  500,  564,  333,  760,  333,  333,  564,  300,  300, 
    /* 180 */  333,  500,  453,  250,  333,  300,  310,  500,  750,  750, 
    /* 190 */  750,  444,  722,  722,  722,  722,  722,  722,  889,  667, 
    /* 200 */  611,  611,  611,  611,  333,  333,  333,  333,  722,  722, 
    /* 210 */  722,  722,  722,  722,  722,  564,  722,  722,  722,  722, 
    /* 220 */  722,  722,  556,  500,  523,  523,  523,  523,  523,  523, 
    /* 230 */  644,  523,  523,  523,  523,  523,  241,  241,  241,  241, 
    /* 240 */  523,  523,  523,  523,  523,  523,  523,  564,  523,  523, 
    /* 250 */  523,  523,  523,  523,  523,  523,  611,  333,  333,  333, 
    /* 260 */  278,  556,  556,  167,  333,  278,  564,  333,  400 
  }

};

#endif	/* PS_FONTS39 */

/* Various Font Descriptor entries for all 39 fonts.
   The first 14 entries of these arrays below don't matter.
*/
short _cpdfAscender[] = {
718,
718,
718,
718,
683,
676,
683,
699,
629,
626,
629,
626,
718,
718,
740,
740,
740,
740,
725,
732,
717,
717,
718,
718,
718,
718,
737,
737,
737,
737,
726,
733,
720,
726,
714,
750,
750,
750,
750,
718,
683,

/* Japanese */
875,	/* 41 HeiseiKakuGo-W5 */
857,	/* 42 HeiseiMin-W3 */
/* Korean */
880,	/* 43 HYGoThic-Medium */
880,	/* 44 HYSMyeongJo-Medium */
/* Chinese Traditional */
880,	/* 45 MHei-Medium */
880,	/* 46 MSung-Light */
/* Chinese Simplified */
880	/* 47 STSong-Light */
};

short _cpdfCapHeight[] = {
718,
718,
718,
718,
662,
676,
653,
669,
562,
562,
562,
562,
718,
718,
740,
740,
740,
740,
681,
681,
681,
681,
718,
718,
718,
718,
722,
722,
722,
722,
692,
692,
681,
681,
708,
750,
750,
750,
750,
718,
662,
/* Japanese */
718,	/* 41 HeiseiKakuGo-W5 */
718,	/* 42 HeiseiMin-W3 */
/* Korean */
880,	/* 43 HYGoThic-Medium */
880,	/* 44 HYSMyeongJo-Medium */
/* Chinese Traditional */
880,	/* 45 MHei-Medium */
880,	/* 46 MSung-Light */
/* Chinese Simplified */
880	/* 47 STSong-Light */

};

short _cpdfDescender[] = {
-207,
-207,
-207,
-207,
-217,
-205,
-205,
-205,
-157,
-142,
-157,
-142,
-207,
-207,
-192,
-192,
-185,
-185,
-212,
-213,
-228,
-212,
-207,
-207,
-207,
-207,
-205,
-205,
-205,
-205,
-281,
-276,
-258,
-271,
-314,
-188,
-189,
-188,
-189,
-207,
-217,
/* Japanese */
-125,	/* 41 HeiseiKakuGo-W5 */
-143,	/* 42 HeiseiMin-W3 */
/* Korean */
-120,	/* 43 HYGoThic-Medium */
-120,	/* 44 HYSMyeongJo-Medium */
/* Chinese Traditional */
-120,	/* 45 MHei-Medium */
-120,	/* 46 MSung-Light */
/* Chinese Simplified */
-120	/* 47 STSong-Light */
};

/*  FontDescriptor Flags ----------------------------------------------------------------------------------------
Bit       32-20        19       18
Meaning  reserved  force bold  small ..... not completed
                   when small   cap

(Note: MSB is bit-32, LSB is bit-1)
*/

unsigned long _cpdfFontFlags[] = {
32,		/* Helvetica */
0,		/* Helvetica-Bold */
96,		/* Helvetica-Oblique */
0,		/* Helvetica-BoldOblique */
0,		/* Times-Roman */
0,		/* Times-Bold */
0,		/* Times-Italic */
0,		/* Times-BoldItalic */
0,		/* Courier */
0,		/* Courier-Bold */
0,		/* Courier-Oblique */
0,		/* Courier-BoldOblique */
0,		/* Symbol */
0,		/* ZapfDingbats */
/* ------------- values above don't matter */
32,		/* AvantGarde-Book */
96,		/* AvantGarde-BookOblique */
262176,		/* AvantGarde-Demi */
262240,		/* AvantGarde-DemiOblique */
262178,		/* Bookman-Demi */
262242,		/* Bookman-DemiItalic */
34,		/* Bookman-Light */
98,		/* Bookman-LightItalic */
32,		/* Helvetica-Narrow */
96,		/* Helvetica-Narrow-Oblique */
262176,		/* Helvetica-Narrow-Bold */
262240,		/* Helvetica-Narrow-BoldOblique */
34,		/* NewCenturySchlbk-Roman */
98,		/* NewCenturySchlbk-Italic */
262178,		/* NewCenturySchlbk-Bold */
262242,		/* NewCenturySchlbk-BoldItalic */
34,		/* Palatino-Roman */
98,		/* Palatino-Italic */
262178,		/* Palatino-Bold */
262242,		/* Palatino-BoldItalic */
98,		/* ZapfChancery-MediumItalic */
32,		/* Helvetica-Condensed */
262176,		/* Helvetica-Condensed-Bold */
96,		/* Helvetica-Condensed-Oblique */
262240,		/* Helvetica-Condensed-BoldObl */
33,		/* CPDF-Monospace */
131106,		/* CPDF-SmallCap */
/* Japanese */
4,	/* 41 HeiseiKakuGo-W5 (4) */
6,	/* 42 HeiseiMin-W3 (6) */
/* Korean */
4,	/* 43 HYGoThic-Medium (39) */
6,	/* 44 HYSMyeongJo-Medium */
/* Chinese Traditional */
4,	/* 45 MHei-Medium */
6,	/* 46 MSung-Light */
/* Chinese Simplified */
6	/* 47 STSong-Light */
};


short _cpdfFontBBox[][4] = {
    { -166, -225, 1000, 931 },
    { -170, -228, 1003, 962 },
    { -170, -225, 1116, 931 },
    { -174, -228, 1114, 962 },
    { -168, -218, 1000, 898 },
    { -168, -218, 1000, 935 },
    { -169, -217, 1010, 883 },
    { -200, -218, 996, 921 },
    { -28, -250, 628, 805 },
    { -113, -250, 749, 801 },
    { -28, -250, 742, 805 },
    { -56, -250, 868, 801 },
    { -180, -293, 1090, 1010 },	/* Symbol */
    { -1, -143, 981, 820 },	/* ZapfDingbats */
    { -113, -222, 1148, 955 },
    { -113, -222, 1279, 955 },
    { -123, -251, 1222, 1021 },
    { -123, -251, 1256, 1021 },
    { -194, -250, 1346, 934  },
    { -231, -250, 1333, 941  },
    { -188, -251, 1266, 908  },
    { -228, -250, 1269, 883  },
    { -136, -225, 820, 931 },
    { -139, -225, 915, 931 },
    { -139, -228, 822, 962 },
    { -143, -228, 913, 962 },
    { -195, -250, 1000, 965 },
    { -166, -250, 994, 958 },
    { -165, -250, 1000, 988 },
    { -205, -250, 1147, 991 },
    { -166, -283, 1021, 927 },
    { -170, -276, 1010, 918 },
    { -152, -266, 1000, 924 },
    { -170, -271, 1073, 926 },
    { -181, -314, 1065, 831 },
    { -174, -224, 1071, 990 },
    { -169, -228, 1091, 971 },
    { -174, -224, 1118, 990 },
    { -169, -228, 1141, 971 },
    { -166, -225, 1000, 931 },
    { -168, -218, 1000, 898 },
/* Japanese */
    { -92, -250, 1010, 922 },	/* 41 HeiseiKakuGo-W5 (-250, -125, 1000, 875) */
    { -123, -257, 1001, 910 },	/* 42 HeiseiMin-W3 (-250, -143, 1000, 857 ) */
/* Korean */
    { -6, -145, 1003, 880 },	/* 43 HYGoThic-Medium (-150, -120, 1100, 880 ) */
    { 0, -148, 1001, 880  },	/* 44 HYSMyeongJo-Medium ( -150, -120, 1100, 880) */
/* Chinese Traditional */
    { -45, -250, 1015, 887 },	/* 45 MHei-Medium */
    { -160, -249, 1015, 888 },	/* 46 MSung-Light */
/* Chinese Simplified */
    { -25, -254, 1000, 880 }	/* 47 STSong-Light */
};

/* PDF Spec v1.2 specifies ItalicAngle to be integer, but Adobe's own Distiller
   puts float values into PDF.  So, we keep this as float too, because some fonts
   use fractional values in the AFM files.
*/
float _cpdfItalicAngle[] = {
  0,
  0,
-12,
-12,
  0,
  0,
-15.5,
-15,
  0,
  0,
-12,
-12,
  0,		/* Symbol */
  0,		/* ZapfDingbats */
  0,
-10.5,
  0,
-10.5,
  0,
-10,
  0,
-10,
  0,
-12,
  0,
-12,
  0,
-16,
  0,
-16,
  0,
-10,
  0,
-10,
-14,
  0,
  0,
-12,
-12,
  0,
  0,
/* Japanese */
0,	/* 41 HeiseiKakuGo-W5 */
0,	/* 42 HeiseiMin-W3 */
/* Korean */
0,	/* 43 HYGoThic-Medium */
0,	/* 44 HYSMyeongJo-Medium */
/* Chinese Traditional */
0,	/* 45 MHei-Medium */
0,	/* 46 MSung-Light */
/* Chinese Simplified */
0	/* 47 STSong-Light */
};

/* (Required) The width of vertical stems in characters. */
short _cpdfStemV[] = {
0,		/* Helvetica */
0,		/* Helvetica-Bold */
0,		/* Helvetica-Oblique */
0,		/* Helvetica-BoldOblique */
0,		/* Times-Roman */
0,		/* Times-Bold */
0,		/* Times-Italic */
0,		/* Times-BoldItalic */
0,		/* Courier */
0,		/* Courier-Bold */
0,		/* Courier-Oblique */
0,		/* Courier-BoldOblique */
0,		/* Symbol */
0,		/* ZapfDingbats */
/* ------------- values above don't matter */
70,		/* AvantGarde-Book */
70,		/* AvantGarde-BookOblique */
133,		/* AvantGarde-Demi */
133,		/* AvantGarde-DemiOblique */
167,		/* Bookman-Demi */
172,		/* Bookman-DemiItalic */
96,		/* Bookman-Light */
96,		/* Bookman-LightItalic */
88,		/* Helvetica-Narrow */
88,		/* Helvetica-Narrow-Oblique */
140,		/* Helvetica-Narrow-Bold */
140,		/* Helvetica-Narrow-BoldOblique */
92,		/* NewCenturySchlbk-Roman */
80,		/* NewCenturySchlbk-Italic */
154,		/* NewCenturySchlbk-Bold */
150,		/* NewCenturySchlbk-BoldItalic */
84,		/* Palatino-Roman */
84,		/* Palatino-Italic */
122,		/* Palatino-Bold */
122,		/* Palatino-BoldItalic */
70,		/* ZapfChancery-MediumItalic */
79,		/* Helvetica-Condensed */
130,		/* Helvetica-Condensed-Bold */
79,		/* Helvetica-Condensed-Oblique */
130,		/* Helvetica-Condensed-BoldObl */
84,		/* CPDF-Monospace */
84,		/* CPDF-SmallCap */
/* Japanese */
93,	/* 41 HeiseiKakuGo-W5 */
93,	/* 42 HeiseiMin-W3 */
/* Korean */
93,	/* 43 HYGoThic-Medium */
93,	/* 44 HYSMyeongJo-Medium */
/* Chinese Traditional */
93,	/* 45 MHei-Medium */
93,	/* 46 MSung-Light */
/* Chinese Simplified */
93	/* 47 STSong-Light */
};

short _cpdfXHeight[] = {
523,
532,
523,
532,
450,
461,
441,
462,
426,
439,
426,
439,
0,	/* Symbol */
0,	/* ZapfDingbats */
547,
547,
555,
555,
502,
515,
484,
494,
523,
523,
532,
532,
464,
466,
475,
477,
469,
482,
471,
469,
438,
556,
564,
556,
564,
523,
480,
/* Japanese */
500,	/* 41 HeiseiKakuGo-W5 */
500,	/* 42 HeiseiMin-W3 */
/* Korean */
616,	/* 43 HYGoThic-Medium */
616,	/* 44 HYSMyeongJo-Medium */
/* Chinese Traditional */
616,	/* 45 MHei-Medium */
616,	/* 46 MSung-Light */
/* Chinese Simplified */
616	/* 47 STSong-Light */
};

/* ==== Stuff for CIDFontType2 only =============================== */

short _cpdf_missingWidth[] = {
0,	/* 0  Helvetica */
0,	/* 1  Helvetica-Bold */
0,	/* 2  Helvetica-Oblique */
0,	/* 3  Helvetica-BoldOblique */
0,	/* 4  Times-Roman */
0,	/* 5  Times-Bold */
0,	/* 6  Times-Italic */
0,	/* 7  Times-BoldItalic */
0,	/* 8  Courier */
0,	/* 9  Courier-Bold */
0,	/* 10 Courier-Oblique */
0,	/* 11 Courier-BoldOblique */
0,	/* 12 Symbol */
0,	/* 13 ZapfDingbats */

0,	/* 14 AvantGarde-Book */
0,	/* 15 AvantGarde-BookOblique */
0,	/* 16 AvantGarde-Demi */
0,	/* 17 AvantGarde-DemiOblique */
0,	/* 18 Bookman-Demi */
0,	/* 19 Bookman-DemiItalic */
0,	/* 20 Bookman-Light */
0,	/* 21 Bookman-LightItalic */
0,	/* 22 Helvetica-Narrow */
0,	/* 23 Helvetica-Narrow-Oblique */
0,	/* 24 Helvetica-Narrow-Bold */
0,	/* 25 Helvetica-Narrow-BoldOblique */
0,	/* 26 NewCenturySchlbk-Roman */
0,	/* 27 NewCenturySchlbk-Italic */
0,	/* 28 NewCenturySchlbk-Bold */
0,	/* 29 NewCenturySchlbk-BoldItalic */
0,	/* 30 Palatino-Roman */
0,	/* 31 Palatino-Italic */
0,	/* 32 Palatino-Bold */
0,	/* 33 Palatino-BoldItalic */
0,	/* 34 ZapfChancery-MediumItalic */
	
0,	/* 35 Helvetica-Condensed */
0,	/* 36 Helvetica-Condensed-Bold */
0,	/* 37 Helvetica-Condensed-Oblique */
0,	/* 38 Helvetica-Condensed-BoldObl */
0,	/* 39 CPDF-Monospace */
0,	/* 40 CPDF-SmallCap */

/* Japanese */
500,	/* 41 HeiseiKakuGo-W5 */
500,	/* 42 HeiseiMin-W3 */
/* Korean */
500,	/* 43 HYGoThic-Medium */
500,	/* 44 HYSMyeongJo-Medium */
/* Chinese Traditional */
500,	/* 45 MHei-Medium */
500,	/* 46 MSung-Light */
/* Chinese Simplified */
500	/* 47 STSong-Light */
};


short _cpdf_stemH[] = {
0,	/* 0  Helvetica */
0,	/* 1  Helvetica-Bold */
0,	/* 2  Helvetica-Oblique */
0,	/* 3  Helvetica-BoldOblique */
0,	/* 4  Times-Roman */
0,	/* 5  Times-Bold */
0,	/* 6  Times-Italic */
0,	/* 7  Times-BoldItalic */
0,	/* 8  Courier */
0,	/* 9  Courier-Bold */
0,	/* 10 Courier-Oblique */
0,	/* 11 Courier-BoldOblique */
0,	/* 12 Symbol */
0,	/* 13 ZapfDingbats */

0,	/* 14 AvantGarde-Book */
0,	/* 15 AvantGarde-BookOblique */
0,	/* 16 AvantGarde-Demi */
0,	/* 17 AvantGarde-DemiOblique */
0,	/* 18 Bookman-Demi */
0,	/* 19 Bookman-DemiItalic */
0,	/* 20 Bookman-Light */
0,	/* 21 Bookman-LightItalic */
0,	/* 22 Helvetica-Narrow */
0,	/* 23 Helvetica-Narrow-Oblique */
0,	/* 24 Helvetica-Narrow-Bold */
0,	/* 25 Helvetica-Narrow-BoldOblique */
0,	/* 26 NewCenturySchlbk-Roman */
0,	/* 27 NewCenturySchlbk-Italic */
0,	/* 28 NewCenturySchlbk-Bold */
0,	/* 29 NewCenturySchlbk-BoldItalic */
0,	/* 30 Palatino-Roman */
0,	/* 31 Palatino-Italic */
0,	/* 32 Palatino-Bold */
0,	/* 33 Palatino-BoldItalic */
0,	/* 34 ZapfChancery-MediumItalic */
	
0,	/* 35 Helvetica-Condensed */
0,	/* 36 Helvetica-Condensed-Bold */
0,	/* 37 Helvetica-Condensed-Oblique */
0,	/* 38 Helvetica-Condensed-BoldObl */
0,	/* 39 CPDF-Monospace */
0,	/* 40 CPDF-SmallCap */

/* Japanese */
93,	/* 41 HeiseiKakuGo-W5 */
31,	/* 42 HeiseiMin-W3 */
/* Korean */
93,	/* 43 HYGoThic-Medium */
93,	/* 44 HYSMyeongJo-Medium */
/* Chinese Traditional */
93,	/* 45 MHei-Medium */
93,	/* 46 MSung-Light */
/* Chinese Simplified */
93	/* 47 STSong-Light */
};

short _cpdf_leading[] = {
0,	/* 0  Helvetica */
0,	/* 1  Helvetica-Bold */
0,	/* 2  Helvetica-Oblique */
0,	/* 3  Helvetica-BoldOblique */
0,	/* 4  Times-Roman */
0,	/* 5  Times-Bold */
0,	/* 6  Times-Italic */
0,	/* 7  Times-BoldItalic */
0,	/* 8  Courier */
0,	/* 9  Courier-Bold */
0,	/* 10 Courier-Oblique */
0,	/* 11 Courier-BoldOblique */
0,	/* 12 Symbol */
0,	/* 13 ZapfDingbats */

0,	/* 14 AvantGarde-Book */
0,	/* 15 AvantGarde-BookOblique */
0,	/* 16 AvantGarde-Demi */
0,	/* 17 AvantGarde-DemiOblique */
0,	/* 18 Bookman-Demi */
0,	/* 19 Bookman-DemiItalic */
0,	/* 20 Bookman-Light */
0,	/* 21 Bookman-LightItalic */
0,	/* 22 Helvetica-Narrow */
0,	/* 23 Helvetica-Narrow-Oblique */
0,	/* 24 Helvetica-Narrow-Bold */
0,	/* 25 Helvetica-Narrow-BoldOblique */
0,	/* 26 NewCenturySchlbk-Roman */
0,	/* 27 NewCenturySchlbk-Italic */
0,	/* 28 NewCenturySchlbk-Bold */
0,	/* 29 NewCenturySchlbk-BoldItalic */
0,	/* 30 Palatino-Roman */
0,	/* 31 Palatino-Italic */
0,	/* 32 Palatino-Bold */
0,	/* 33 Palatino-BoldItalic */
0,	/* 34 ZapfChancery-MediumItalic */
	
0,	/* 35 Helvetica-Condensed */
0,	/* 36 Helvetica-Condensed-Bold */
0,	/* 37 Helvetica-Condensed-Oblique */
0,	/* 38 Helvetica-Condensed-BoldObl */
0,	/* 39 CPDF-Monospace */
0,	/* 40 CPDF-SmallCap */

/* Japanese */
250,	/* 41 HeiseiKakuGo-W5 */
250,	/* 42 HeiseiMin-W3 */
/* Korean */
250,	/* 43 HYGoThic-Medium */
250,	/* 44 HYSMyeongJo-Medium */
/* Chinese Traditional */
250,	/* 45 MHei-Medium */
250,	/* 46 MSung-Light */
/* Chinese Simplified */
250	/* 47 STSong-Light */
};


short _cpdf_maxWidth[] = {
0,	/* 0  Helvetica */
0,	/* 1  Helvetica-Bold */
0,	/* 2  Helvetica-Oblique */
0,	/* 3  Helvetica-BoldOblique */
0,	/* 4  Times-Roman */
0,	/* 5  Times-Bold */
0,	/* 6  Times-Italic */
0,	/* 7  Times-BoldItalic */
0,	/* 8  Courier */
0,	/* 9  Courier-Bold */
0,	/* 10 Courier-Oblique */
0,	/* 11 Courier-BoldOblique */
0,	/* 12 Symbol */
0,	/* 13 ZapfDingbats */

0,	/* 14 AvantGarde-Book */
0,	/* 15 AvantGarde-BookOblique */
0,	/* 16 AvantGarde-Demi */
0,	/* 17 AvantGarde-DemiOblique */
0,	/* 18 Bookman-Demi */
0,	/* 19 Bookman-DemiItalic */
0,	/* 20 Bookman-Light */
0,	/* 21 Bookman-LightItalic */
0,	/* 22 Helvetica-Narrow */
0,	/* 23 Helvetica-Narrow-Oblique */
0,	/* 24 Helvetica-Narrow-Bold */
0,	/* 25 Helvetica-Narrow-BoldOblique */
0,	/* 26 NewCenturySchlbk-Roman */
0,	/* 27 NewCenturySchlbk-Italic */
0,	/* 28 NewCenturySchlbk-Bold */
0,	/* 29 NewCenturySchlbk-BoldItalic */
0,	/* 30 Palatino-Roman */
0,	/* 31 Palatino-Italic */
0,	/* 32 Palatino-Bold */
0,	/* 33 Palatino-BoldItalic */
0,	/* 34 ZapfChancery-MediumItalic */
	
0,	/* 35 Helvetica-Condensed */
0,	/* 36 Helvetica-Condensed-Bold */
0,	/* 37 Helvetica-Condensed-Oblique */
0,	/* 38 Helvetica-Condensed-BoldObl */
0,	/* 39 CPDF-Monospace */
0,	/* 40 CPDF-SmallCap */

/* Japanese */
1000,	/* 41 HeiseiKakuGo-W5 */
1000,	/* 42 HeiseiMin-W3 */
/* Korean */
1000,	/* 43 HYGoThic-Medium */
1000,	/* 44 HYSMyeongJo-Medium */
/* Chinese Traditional */
1000,	/* 45 MHei-Medium */
1000,	/* 46 MSung-Light */
/* Chinese Simplified */
1000	/* 47 STSong-Light */
};

short _cpdf_avgWidth[] = {
0,	/* 0  Helvetica */
0,	/* 1  Helvetica-Bold */
0,	/* 2  Helvetica-Oblique */
0,	/* 3  Helvetica-BoldOblique */
0,	/* 4  Times-Roman */
0,	/* 5  Times-Bold */
0,	/* 6  Times-Italic */
0,	/* 7  Times-BoldItalic */
0,	/* 8  Courier */
0,	/* 9  Courier-Bold */
0,	/* 10 Courier-Oblique */
0,	/* 11 Courier-BoldOblique */
0,	/* 12 Symbol */
0,	/* 13 ZapfDingbats */

0,	/* 14 AvantGarde-Book */
0,	/* 15 AvantGarde-BookOblique */
0,	/* 16 AvantGarde-Demi */
0,	/* 17 AvantGarde-DemiOblique */
0,	/* 18 Bookman-Demi */
0,	/* 19 Bookman-DemiItalic */
0,	/* 20 Bookman-Light */
0,	/* 21 Bookman-LightItalic */
0,	/* 22 Helvetica-Narrow */
0,	/* 23 Helvetica-Narrow-Oblique */
0,	/* 24 Helvetica-Narrow-Bold */
0,	/* 25 Helvetica-Narrow-BoldOblique */
0,	/* 26 NewCenturySchlbk-Roman */
0,	/* 27 NewCenturySchlbk-Italic */
0,	/* 28 NewCenturySchlbk-Bold */
0,	/* 29 NewCenturySchlbk-BoldItalic */
0,	/* 30 Palatino-Roman */
0,	/* 31 Palatino-Italic */
0,	/* 32 Palatino-Bold */
0,	/* 33 Palatino-BoldItalic */
0,	/* 34 ZapfChancery-MediumItalic */
	
0,	/* 35 Helvetica-Condensed */
0,	/* 36 Helvetica-Condensed-Bold */
0,	/* 37 Helvetica-Condensed-Oblique */
0,	/* 38 Helvetica-Condensed-BoldObl */
0,	/* 39 CPDF-Monospace */
0,	/* 40 CPDF-SmallCap */

/* Japanese */
689,	/* 41 HeiseiKakuGo-W5 */
702,	/* 42 HeiseiMin-W3 */
/* Korean */
1000,	/* 43 HYGoThic-Medium */
1000,	/* 44 HYSMyeongJo-Medium */
/* Chinese Traditional */
1000,	/* 45 MHei-Medium */
1000,	/* 46 MSung-Light */
/* Chinese Simplified */
1000	/* 47 STSong-Light */
};

/* for /W array in /DescendantFonts spec */
char *cpdf_cidFontWidth[] = {
NULL,	/* 0  Helvetica */
NULL,	/* 1  Helvetica-Bold */
NULL,	/* 2  Helvetica-Oblique */
NULL,	/* 3  Helvetica-BoldOblique */
NULL,	/* 4  Times-Roman */
NULL,	/* 5  Times-Bold */
NULL,	/* 6  Times-Italic */
NULL,	/* 7  Times-BoldItalic */
NULL,	/* 8  Courier */
NULL,	/* 9  Courier-Bold */
NULL,	/* 10 Courier-Oblique */
NULL,	/* 11 Courier-BoldOblique */
NULL,	/* 12 Symbol */
NULL,	/* 13 ZapfDingbats */

NULL,	/* 14 AvantGarde-Book */
NULL,	/* 15 AvantGarde-BookOblique */
NULL,	/* 16 AvantGarde-Demi */
NULL,	/* 17 AvantGarde-DemiOblique */
NULL,	/* 18 Bookman-Demi */
NULL,	/* 19 Bookman-DemiItalic */
NULL,	/* 20 Bookman-Light */
NULL,	/* 21 Bookman-LightItalic */
NULL,	/* 22 Helvetica-Narrow */
NULL,	/* 23 Helvetica-Narrow-Oblique */
NULL,	/* 24 Helvetica-Narrow-Bold */
NULL,	/* 25 Helvetica-Narrow-BoldOblique */
NULL,	/* 26 NewCenturySchlbk-Roman */
NULL,	/* 27 NewCenturySchlbk-Italic */
NULL,	/* 28 NewCenturySchlbk-Bold */
NULL,	/* 29 NewCenturySchlbk-BoldItalic */
NULL,	/* 30 Palatino-Roman */
NULL,	/* 31 Palatino-Italic */
NULL,	/* 32 Palatino-Bold */
NULL,	/* 33 Palatino-BoldItalic */
NULL,	/* 34 ZapfChancery-MediumItalic */
	
NULL,	/* 35 Helvetica-Condensed */
NULL,	/* 36 Helvetica-Condensed-Bold */
NULL,	/* 37 Helvetica-Condensed-Oblique */
NULL,	/* 38 Helvetica-Condensed-BoldObl */
NULL,	/* 39 CPDF-Monospace */
NULL,	/* 40 CPDF-SmallCap */
/* Japanese */
"[ 1 95 500 231 632 500 ]",	/* 41 HeiseiKakuGo-W5 - OK*/
"[ 1 95 500 231 632 500 ]",	/* 42 HeiseiMin-W3 - OK */
/* Korean */
"[ 1 95 500 8094 8190 500 ]",	/* 43 HYGoThic-Medium - OK */
"[ 1 95 500 8094 8190 500 ]",	/* 44 HYSMyeongJo-Medium - OK */
/* Chinese Traditional */
"[ 1 95 500 13648 13742 500 ]",	/* 45 MHei-Medium - OK */
"[ 1 95 500 13648 13742 500 ]",	/* 46 MSung-Light - OK */
/* Chinese Simplified */
"[ 1 95 500 814 939 500 7712 [ 500 ] 7716 [ 500 ] ]"	/* 47 STSong-Light - OK */
};

/* for /CIDSystemInfo << >> */
char *cpdf_cidSysInfo[] = {
NULL,	/* 0  Helvetica */
NULL,	/* 1  Helvetica-Bold */
NULL,	/* 2  Helvetica-Oblique */
NULL,	/* 3  Helvetica-BoldOblique */
NULL,	/* 4  Times-Roman */
NULL,	/* 5  Times-Bold */
NULL,	/* 6  Times-Italic */
NULL,	/* 7  Times-BoldItalic */
NULL,	/* 8  Courier */
NULL,	/* 9  Courier-Bold */
NULL,	/* 10 Courier-Oblique */
NULL,	/* 11 Courier-BoldOblique */
NULL,	/* 12 Symbol */
NULL,	/* 13 ZapfDingbats */

NULL,	/* 14 AvantGarde-Book */
NULL,	/* 15 AvantGarde-BookOblique */
NULL,	/* 16 AvantGarde-Demi */
NULL,	/* 17 AvantGarde-DemiOblique */
NULL,	/* 18 Bookman-Demi */
NULL,	/* 19 Bookman-DemiItalic */
NULL,	/* 20 Bookman-Light */
NULL,	/* 21 Bookman-LightItalic */
NULL,	/* 22 Helvetica-Narrow */
NULL,	/* 23 Helvetica-Narrow-Oblique */
NULL,	/* 24 Helvetica-Narrow-Bold */
NULL,	/* 25 Helvetica-Narrow-BoldOblique */
NULL,	/* 26 NewCenturySchlbk-Roman */
NULL,	/* 27 NewCenturySchlbk-Italic */
NULL,	/* 28 NewCenturySchlbk-Bold */
NULL,	/* 29 NewCenturySchlbk-BoldItalic */
NULL,	/* 30 Palatino-Roman */
NULL,	/* 31 Palatino-Italic */
NULL,	/* 32 Palatino-Bold */
NULL,	/* 33 Palatino-BoldItalic */
NULL,	/* 34 ZapfChancery-MediumItalic */
	
NULL,	/* 35 Helvetica-Condensed */
NULL,	/* 36 Helvetica-Condensed-Bold */
NULL,	/* 37 Helvetica-Condensed-Oblique */
NULL,	/* 38 Helvetica-Condensed-BoldObl */
NULL,	/* 39 CPDF-Monospace */
NULL,	/* 40 CPDF-SmallCap */
/* Japanese */
"/Registry (Adobe) /Ordering (Japan1) /Supplement 2",	/* 41 HeiseiKakuGo-W5 */
"/Registry (Adobe) /Ordering (Japan1) /Supplement 2",	/* 42 HeiseiMin-W3 */
/* Korean */
"/Registry (Adobe) /Ordering (Korea1) /Supplement 1",	/* 43 HYGoThic-Medium */
"/Registry (Adobe) /Ordering (Korea1) /Supplement 1",	/* 44 HYSMyeongJo-Medium */
/* Chinese Traditional */
"/Registry (Adobe) /Ordering (CNS1) /Supplement 0",	/* 45 MHei-Medium */
"/Registry (Adobe) /Ordering (CNS1) /Supplement 0",	/* 46 MSung-Light */
/* Chinese Simplified */
"/Registry (Adobe) /Ordering (GB1) /Supplement 2"	/* 47 STSong-Light */
};

/* Currently contains only /Panose <....>  for font descripter in CJK fonts */
char *cpdf_fontStyleList[] = {
NULL,	/* 0  Helvetica */
NULL,	/* 1  Helvetica-Bold */
NULL,	/* 2  Helvetica-Oblique */
NULL,	/* 3  Helvetica-BoldOblique */
NULL,	/* 4  Times-Roman */
NULL,	/* 5  Times-Bold */
NULL,	/* 6  Times-Italic */
NULL,	/* 7  Times-BoldItalic */
NULL,	/* 8  Courier */
NULL,	/* 9  Courier-Bold */
NULL,	/* 10 Courier-Oblique */
NULL,	/* 11 Courier-BoldOblique */
NULL,	/* 12 Symbol */
NULL,	/* 13 ZapfDingbats */

NULL,	/* 14 AvantGarde-Book */
NULL,	/* 15 AvantGarde-BookOblique */
NULL,	/* 16 AvantGarde-Demi */
NULL,	/* 17 AvantGarde-DemiOblique */
NULL,	/* 18 Bookman-Demi */
NULL,	/* 19 Bookman-DemiItalic */
NULL,	/* 20 Bookman-Light */
NULL,	/* 21 Bookman-LightItalic */
NULL,	/* 22 Helvetica-Narrow */
NULL,	/* 23 Helvetica-Narrow-Oblique */
NULL,	/* 24 Helvetica-Narrow-Bold */
NULL,	/* 25 Helvetica-Narrow-BoldOblique */
NULL,	/* 26 NewCenturySchlbk-Roman */
NULL,	/* 27 NewCenturySchlbk-Italic */
NULL,	/* 28 NewCenturySchlbk-Bold */
NULL,	/* 29 NewCenturySchlbk-BoldItalic */
NULL,	/* 30 Palatino-Roman */
NULL,	/* 31 Palatino-Italic */
NULL,	/* 32 Palatino-Bold */
NULL,	/* 33 Palatino-BoldItalic */
NULL,	/* 34 ZapfChancery-MediumItalic */
	
NULL,	/* 35 Helvetica-Condensed */
NULL,	/* 36 Helvetica-Condensed-Bold */
NULL,	/* 37 Helvetica-Condensed-Oblique */
NULL,	/* 38 Helvetica-Condensed-BoldObl */
NULL,	/* 39 CPDF-Monospace */
NULL,	/* 40 CPDF-SmallCap */
/* /Panose will affect font substitution on platforms with native OS fonts,
   and seems to override font names specifying the Acrobat Resource's CID fonts.
   For example, on Windows 95-J, MSGothic and MSMincho will substitutes the fonts,
   and if the /Panose below are reversed between HeiseiKakuGo and HeiseiMin,
   the subsituted MS... fonts get reversed. */
/* Japanese */
"/Panose <0801020b0600000000000000>",	/* 41 HeiseiKakuGo-W5 */
"/Panose <010502020400000000000000>",	/* 42 HeiseiMin-W3 */
/* Korean */
"/Panose <0801020b0600000000000000>",	/* 43 HYGoThic-Medium <010502020609000000000000> */
"/Panose <010502020400000000000000>",	/* 44 HYSMyeongJo-Medium */
/* Chinese Traditional */
"/Panose <0801020b0600000000000000>",	/* 45 MHei-Medium */
"/Panose <010502020400000000000000>",	/* 46 MSung-Light */
/* Chinese Simplified */
"/Panose <010502020400000000000000>"	/* 47 STSong-Light */
};


